(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 10.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[    102339,       2492]
NotebookOptionsPosition[    101697,       2464]
NotebookOutlinePosition[    102052,       2480]
CellTagsIndexPosition[    102009,       2477]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["\:5bfe\:79f0\:306a\:70b9", "Subsection",
 CellChangeTimes->{{3.6297700294588823`*^9, 3.629770036385193*^9}},
 Background->RGBColor[1, 0.9, 0.8]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
  "\[IndentingNewLine]", 
  RowBox[{"Manipulate", "[", 
   RowBox[{
    RowBox[{"Show", "[", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"Graphics3D", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Arrowheads", "\[Rule]", "Large"}], ",", 
         RowBox[{"Thickness", "[", "0.009", "]"}], ",", "\[IndentingNewLine]",
          "                 ", 
         RowBox[{"{", 
          RowBox[{"Blue", ",", 
           RowBox[{"Arrow", "[", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"0", ",", "0", ",", 
                RowBox[{"-", "5"}]}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"0", ",", "0", ",", "5"}], "}"}]}], "}"}], "]"}], ",", 
           RowBox[{"Arrow", "[", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"0", ",", 
                RowBox[{"-", "5"}], ",", "0"}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"0", ",", "5", ",", "0"}], "}"}]}], "}"}], "]"}], ",", 
           RowBox[{"Arrow", "[", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{
                RowBox[{"-", "5"}], ",", "0", ",", "0"}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"5", ",", "0", ",", "0"}], "}"}]}], "}"}], "]"}]}], 
          "}"}], ",", "\[IndentingNewLine]", 
         RowBox[{"Text", "[", 
          RowBox[{
           RowBox[{"Style", "[", 
            RowBox[{"\"\<x\>\"", ",", "Large"}], "]"}], ",", 
           RowBox[{"{", 
            RowBox[{"5.5", ",", "0", ",", "0"}], "}"}]}], "]"}], ",", 
         RowBox[{"Text", "[", 
          RowBox[{
           RowBox[{"Style", "[", 
            RowBox[{"\"\<y\>\"", ",", "Large"}], "]"}], ",", 
           RowBox[{"{", 
            RowBox[{"0", ",", "5.5", ",", "0"}], "}"}]}], "]"}], ",", 
         RowBox[{"Text", "[", 
          RowBox[{
           RowBox[{"Style", "[", 
            RowBox[{"\"\<z\>\"", ",", "Large"}], "]"}], ",", 
           RowBox[{"{", 
            RowBox[{"0", ",", "0", ",", "5.5"}], "}"}]}], "]"}], ",", 
         RowBox[{"Text", "[", 
          RowBox[{
           RowBox[{"Style", "[", 
            RowBox[{"\"\<O\>\"", ",", "Large"}], "]"}], ",", 
           RowBox[{"{", 
            RowBox[{"0.3", ",", "0.3", ",", "0.3"}], "}"}]}], "]"}]}], "}"}], 
       "\[IndentingNewLine]", "]"}], ",", "\[IndentingNewLine]", 
      "\[IndentingNewLine]", 
      RowBox[{"Graphics3D", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Thickness", "[", "0.009", "]"}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"PointSize", "[", "Large", "]"}], ",", 
           RowBox[{"Point", "[", 
            RowBox[{"{", 
             RowBox[{"x1", ",", "x2", ",", "x3"}], "}"}], "]"}]}], "}"}], 
         "   ", "\[IndentingNewLine]", ",", 
         RowBox[{"Text", "[", 
          RowBox[{
           RowBox[{"Style", "[", 
            RowBox[{
             RowBox[{"StringJoin", "[", 
              RowBox[{"{", 
               RowBox[{"\"\<P(\>\"", " ", ",", 
                RowBox[{"ToString", "[", "x1", "]"}], ",", "\"\<,\>\"", ",", 
                RowBox[{"ToString", "[", "x2", "]"}], ",", "\"\<,\>\"", ",", 
                RowBox[{"ToString", "[", "x3", "]"}], ",", "\"\<)\>\""}], 
               "}"}], "]"}], ",", "Large"}], "]"}], ",", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"x1", ",", "x2", ",", "x3"}], "}"}], "+", 
            RowBox[{"{", 
             RowBox[{"0.5", ",", "0.5", ",", "0.5"}], "}"}]}]}], "]"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"Text", "[", 
          RowBox[{
           RowBox[{"Style", "[", 
            RowBox[{"x1", ",", "Large"}], "]"}], ",", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"x1", ",", "0", ",", "0"}], "}"}], "+", 
            RowBox[{"{", 
             RowBox[{"0", ",", "0.2", ",", "0.2"}], "}"}]}]}], "]"}], ",", 
         RowBox[{"Text", "[", 
          RowBox[{
           RowBox[{"Style", "[", 
            RowBox[{"x2", ",", "Large"}], "]"}], ",", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"0", ",", "x2", ",", "0"}], "}"}], "+", 
            RowBox[{"{", 
             RowBox[{"0.2", ",", "0", ",", "0.2"}], "}"}]}]}], "]"}], ",", 
         RowBox[{"Text", "[", 
          RowBox[{
           RowBox[{"Style", "[", 
            RowBox[{"x3", ",", "Large"}], "]"}], ",", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"0", ",", "0", ",", "x3"}], "}"}], "+", 
            RowBox[{"{", 
             RowBox[{"0.2", ",", "0.2", ",", "0"}], "}"}]}]}], "]"}]}], "}"}],
        "]"}], ",", "\[IndentingNewLine]", 
      RowBox[{"Graphics3D", "[", 
       RowBox[{"{", 
        RowBox[{"Red", ",", 
         RowBox[{"Line", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"x1", ",", "x2", ",", "x3"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"x1", ",", "x2", ",", "0"}], "}"}]}], "}"}], "]"}], ",", 
         RowBox[{"Line", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"x1", ",", "x2", ",", "x3"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"x1", ",", "0", ",", "x3"}], "}"}]}], "}"}], "]"}], ",", 
         RowBox[{"Line", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"x1", ",", "x2", ",", "x3"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"0", ",", "x2", ",", "x3"}], "}"}]}], "}"}], "]"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"Line", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"0", ",", "x2", ",", "0"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"x1", ",", "x2", ",", "0"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"x1", ",", "0", ",", "0"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"x1", ",", "0", ",", "x3"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"0", ",", "0", ",", "x3"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"0", ",", "x2", ",", "x3"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"0", ",", "x2", ",", "0"}], "}"}]}], "}"}], "]"}]}], 
        "}"}], "]"}], ",", "\[IndentingNewLine]", "\[IndentingNewLine]", 
      "\[IndentingNewLine]", 
      RowBox[{"Graphics3D", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Thickness", "[", "0.009", "]"}], ",", 
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{"x", "\[Equal]", "1"}], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"PointSize", "[", "Large", "]"}], ",", 
               RowBox[{"Point", "[", 
                RowBox[{"{", 
                 RowBox[{"x1", ",", 
                  RowBox[{"-", "x2"}], ",", 
                  RowBox[{"-", "x3"}]}], "}"}], "]"}]}], "}"}], ",", "   ", 
             "\[IndentingNewLine]", ",", 
             RowBox[{"Text", "[", 
              RowBox[{
               RowBox[{"Style", "[", 
                RowBox[{
                 RowBox[{"StringJoin", "[", 
                  RowBox[{"{", 
                   RowBox[{"\"\<Q(\>\"", " ", ",", 
                    RowBox[{"ToString", "[", "x1", "]"}], ",", "\"\<,\>\"", 
                    ",", 
                    RowBox[{"ToString", "[", 
                    RowBox[{"-", "x2"}], "]"}], ",", "\"\<,\>\"", ",", 
                    RowBox[{"ToString", "[", 
                    RowBox[{"-", "x3"}], "]"}], ",", "\"\<)\>\""}], "}"}], 
                  "]"}], ",", "Large", ",", "Red"}], "]"}], ",", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{"x1", ",", 
                  RowBox[{"-", "x2"}], ",", 
                  RowBox[{"-", "x3"}]}], "}"}], "+", 
                RowBox[{"{", 
                 RowBox[{"0.5", ",", "0.5", ",", "0.5"}], "}"}]}]}], "]"}], 
             ",", "\[IndentingNewLine]", 
             RowBox[{"Text", "[", 
              RowBox[{
               RowBox[{"Style", "[", 
                RowBox[{"x1", ",", "Large"}], "]"}], ",", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{"x1", ",", "0", ",", "0"}], "}"}], "+", 
                RowBox[{"{", 
                 RowBox[{"0", ",", "0.2", ",", "0.2"}], "}"}]}]}], "]"}], ",", 
             RowBox[{"Text", "[", 
              RowBox[{
               RowBox[{"Style", "[", 
                RowBox[{
                 RowBox[{"-", "x2"}], ",", "Large"}], "]"}], ",", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{"0", ",", 
                  RowBox[{"-", "x2"}], ",", "0"}], "}"}], "+", 
                RowBox[{"{", 
                 RowBox[{"0.2", ",", "0", ",", "0.2"}], "}"}]}]}], "]"}], ",", 
             RowBox[{"Text", "[", 
              RowBox[{
               RowBox[{"Style", "[", 
                RowBox[{
                 RowBox[{"-", "x3"}], ",", "Large"}], "]"}], ",", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{"0", ",", "0", ",", 
                  RowBox[{"-", "x3"}]}], "}"}], "+", 
                RowBox[{"{", 
                 RowBox[{"0.2", ",", "0.2", ",", "0"}], "}"}]}]}], "]"}]}], 
            "}"}]}], "]"}]}], "}"}], "]"}], ",", "\[IndentingNewLine]", 
      RowBox[{"Graphics3D", "[", 
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{"x", "\[Equal]", "1"}], ",", 
         RowBox[{"{", 
          RowBox[{"Red", ",", 
           RowBox[{"Line", "[", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"x1", ",", 
                RowBox[{"-", "x2"}], ",", 
                RowBox[{"-", "x3"}]}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"x1", ",", 
                RowBox[{"-", "x2"}], ",", "0"}], "}"}]}], "}"}], "]"}], ",", 
           RowBox[{"Line", "[", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"x1", ",", 
                RowBox[{"-", "x2"}], ",", 
                RowBox[{"-", "x3"}]}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"x1", ",", "0", ",", 
                RowBox[{"-", "x3"}]}], "}"}]}], "}"}], "]"}], ",", 
           RowBox[{"Line", "[", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"x1", ",", 
                RowBox[{"-", "x2"}], ",", 
                RowBox[{"-", "x3"}]}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"0", ",", 
                RowBox[{"-", "x2"}], ",", 
                RowBox[{"-", "x3"}]}], "}"}]}], "}"}], "]"}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{"Line", "[", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"0", ",", 
                RowBox[{"-", "x2"}], ",", "0"}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"x1", ",", 
                RowBox[{"-", "x2"}], ",", "0"}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"x1", ",", "0", ",", "0"}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"x1", ",", "0", ",", 
                RowBox[{"-", "x3"}]}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"0", ",", "0", ",", 
                RowBox[{"-", "x3"}]}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"0", ",", 
                RowBox[{"-", "x2"}], ",", 
                RowBox[{"-", "x3"}]}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"0", ",", 
                RowBox[{"-", "x2"}], ",", "0"}], "}"}]}], "}"}], "]"}]}], 
          "}"}]}], "]"}], "]"}], ",", "\[IndentingNewLine]", 
      "\[IndentingNewLine]", "\[IndentingNewLine]", 
      RowBox[{"Graphics3D", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Thickness", "[", "0.009", "]"}], ",", 
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{"x", "\[Equal]", "2"}], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"PointSize", "[", "Large", "]"}], ",", 
               RowBox[{"Point", "[", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"-", "x1"}], ",", "x2", ",", 
                  RowBox[{"-", "x3"}]}], "}"}], "]"}]}], "}"}], ",", "   ", 
             "\[IndentingNewLine]", ",", 
             RowBox[{"Text", "[", 
              RowBox[{
               RowBox[{"Style", "[", 
                RowBox[{
                 RowBox[{"StringJoin", "[", 
                  RowBox[{"{", 
                   RowBox[{"\"\<Q(\>\"", " ", ",", 
                    RowBox[{"ToString", "[", 
                    RowBox[{"-", "x1"}], "]"}], ",", "\"\<,\>\"", ",", 
                    RowBox[{"ToString", "[", "x2", "]"}], ",", "\"\<,\>\"", 
                    ",", 
                    RowBox[{"ToString", "[", 
                    RowBox[{"-", "x3"}], "]"}], ",", "\"\<)\>\""}], "}"}], 
                  "]"}], ",", "Large", ",", "Red"}], "]"}], ",", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"-", "x1"}], ",", "x2", ",", 
                  RowBox[{"-", "x3"}]}], "}"}], "+", 
                RowBox[{"{", 
                 RowBox[{"0.5", ",", "0.5", ",", "0.5"}], "}"}]}]}], "]"}], 
             ",", "\[IndentingNewLine]", 
             RowBox[{"Text", "[", 
              RowBox[{
               RowBox[{"Style", "[", 
                RowBox[{
                 RowBox[{"-", "x1"}], ",", "Large"}], "]"}], ",", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"-", "x1"}], ",", "0", ",", "0"}], "}"}], "+", 
                RowBox[{"{", 
                 RowBox[{"0", ",", "0.2", ",", "0.2"}], "}"}]}]}], "]"}], ",", 
             RowBox[{"Text", "[", 
              RowBox[{
               RowBox[{"Style", "[", 
                RowBox[{"x2", ",", "Large"}], "]"}], ",", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{"0", ",", "x2", ",", "0"}], "}"}], "+", 
                RowBox[{"{", 
                 RowBox[{"0.2", ",", "0", ",", "0.2"}], "}"}]}]}], "]"}], ",", 
             RowBox[{"Text", "[", 
              RowBox[{
               RowBox[{"Style", "[", 
                RowBox[{
                 RowBox[{"-", "x3"}], ",", "Large"}], "]"}], ",", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{"0", ",", "0", ",", 
                  RowBox[{"-", "x3"}]}], "}"}], "+", 
                RowBox[{"{", 
                 RowBox[{"0.2", ",", "0.2", ",", "0"}], "}"}]}]}], "]"}]}], 
            "}"}]}], "]"}]}], "}"}], "]"}], ",", "\[IndentingNewLine]", 
      RowBox[{"Graphics3D", "[", 
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{"x", "\[Equal]", "2"}], ",", 
         RowBox[{"{", 
          RowBox[{"Red", ",", 
           RowBox[{"Line", "[", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{
                RowBox[{"-", "x1"}], ",", "x2", ",", 
                RowBox[{"-", "x3"}]}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"-", "x1"}], ",", "x2", ",", "0"}], "}"}]}], "}"}], 
            "]"}], ",", 
           RowBox[{"Line", "[", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{
                RowBox[{"-", "x1"}], ",", "x2", ",", 
                RowBox[{"-", "x3"}]}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"-", "x1"}], ",", "0", ",", 
                RowBox[{"-", "x3"}]}], "}"}]}], "}"}], "]"}], ",", 
           RowBox[{"Line", "[", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{
                RowBox[{"-", "x1"}], ",", "x2", ",", 
                RowBox[{"-", "x3"}]}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"0", ",", "x2", ",", 
                RowBox[{"-", "x3"}]}], "}"}]}], "}"}], "]"}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{"Line", "[", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"0", ",", "x2", ",", "0"}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"-", "x1"}], ",", "x2", ",", "0"}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"-", "x1"}], ",", "0", ",", "0"}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"-", "x1"}], ",", "0", ",", 
                RowBox[{"-", "x3"}]}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"0", ",", "0", ",", 
                RowBox[{"-", "x3"}]}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"0", ",", "x2", ",", 
                RowBox[{"-", "x3"}]}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"0", ",", "x2", ",", "0"}], "}"}]}], "}"}], "]"}]}], 
          "}"}]}], "]"}], "]"}], ",", "\[IndentingNewLine]", 
      "\[IndentingNewLine]", 
      RowBox[{"Graphics3D", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Thickness", "[", "0.009", "]"}], ",", 
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{"x", "\[Equal]", "3"}], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"PointSize", "[", "Large", "]"}], ",", 
               RowBox[{"Point", "[", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"-", "x1"}], ",", 
                  RowBox[{"-", "x2"}], ",", "x3"}], "}"}], "]"}]}], "}"}], 
             ",", "   ", "\[IndentingNewLine]", ",", 
             RowBox[{"Text", "[", 
              RowBox[{
               RowBox[{"Style", "[", 
                RowBox[{
                 RowBox[{"StringJoin", "[", 
                  RowBox[{"{", 
                   RowBox[{"\"\<Q(\>\"", " ", ",", 
                    RowBox[{"ToString", "[", 
                    RowBox[{"-", "x1"}], "]"}], ",", "\"\<,\>\"", ",", 
                    RowBox[{"ToString", "[", 
                    RowBox[{"-", "x2"}], "]"}], ",", "\"\<,\>\"", ",", 
                    RowBox[{"ToString", "[", "x3", "]"}], ",", "\"\<)\>\""}], 
                   "}"}], "]"}], ",", "Large", ",", "Red"}], "]"}], ",", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"-", "x1"}], ",", 
                  RowBox[{"-", "x2"}], ",", "x3"}], "}"}], "+", 
                RowBox[{"{", 
                 RowBox[{"0.5", ",", "0.5", ",", "0.5"}], "}"}]}]}], "]"}], 
             ",", "\[IndentingNewLine]", 
             RowBox[{"Text", "[", 
              RowBox[{
               RowBox[{"Style", "[", 
                RowBox[{
                 RowBox[{"-", "x1"}], ",", "Large"}], "]"}], ",", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"-", "x1"}], ",", "0", ",", "0"}], "}"}], "+", 
                RowBox[{"{", 
                 RowBox[{"0", ",", "0.2", ",", "0.2"}], "}"}]}]}], "]"}], ",", 
             RowBox[{"Text", "[", 
              RowBox[{
               RowBox[{"Style", "[", 
                RowBox[{
                 RowBox[{"-", "x2"}], ",", "Large"}], "]"}], ",", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{"0", ",", 
                  RowBox[{"-", "x2"}], ",", "0"}], "}"}], "+", 
                RowBox[{"{", 
                 RowBox[{"0.2", ",", "0", ",", "0.2"}], "}"}]}]}], "]"}], ",", 
             RowBox[{"Text", "[", 
              RowBox[{
               RowBox[{"Style", "[", 
                RowBox[{"x3", ",", "Large"}], "]"}], ",", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{"0", ",", "0", ",", "x3"}], "}"}], "+", 
                RowBox[{"{", 
                 RowBox[{"0.2", ",", "0.2", ",", "0"}], "}"}]}]}], "]"}]}], 
            "}"}]}], "]"}]}], "}"}], "]"}], ",", "\[IndentingNewLine]", 
      RowBox[{"Graphics3D", "[", 
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{"x", "\[Equal]", "3"}], ",", 
         RowBox[{"{", 
          RowBox[{"Red", ",", 
           RowBox[{"Line", "[", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{
                RowBox[{"-", "x1"}], ",", 
                RowBox[{"-", "x2"}], ",", "x3"}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"-", "x1"}], ",", 
                RowBox[{"-", "x2"}], ",", "0"}], "}"}]}], "}"}], "]"}], ",", 
           RowBox[{"Line", "[", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{
                RowBox[{"-", "x1"}], ",", 
                RowBox[{"-", "x2"}], ",", "x3"}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"-", "x1"}], ",", "0", ",", "x3"}], "}"}]}], "}"}], 
            "]"}], ",", 
           RowBox[{"Line", "[", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{
                RowBox[{"-", "x1"}], ",", 
                RowBox[{"-", "x2"}], ",", "x3"}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"0", ",", 
                RowBox[{"-", "x2"}], ",", "x3"}], "}"}]}], "}"}], "]"}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{"Line", "[", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"0", ",", 
                RowBox[{"-", "x2"}], ",", "0"}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"-", "x1"}], ",", 
                RowBox[{"-", "x2"}], ",", "0"}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"-", "x1"}], ",", "0", ",", "0"}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"-", "x1"}], ",", "0", ",", "x3"}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"0", ",", "0", ",", "x3"}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"0", ",", 
                RowBox[{"-", "x2"}], ",", "x3"}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"0", ",", 
                RowBox[{"-", "x2"}], ",", "0"}], "}"}]}], "}"}], "]"}]}], 
          "}"}]}], "]"}], "]"}], ",", "\[IndentingNewLine]", 
      "\[IndentingNewLine]", 
      RowBox[{"Graphics3D", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Thickness", "[", "0.009", "]"}], ",", 
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{"x", "\[Equal]", "4"}], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"PointSize", "[", "Large", "]"}], ",", 
               RowBox[{"Point", "[", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"-", "x1"}], ",", 
                  RowBox[{"-", "x2"}], ",", 
                  RowBox[{"-", "x3"}]}], "}"}], "]"}]}], "}"}], ",", "   ", 
             "\[IndentingNewLine]", ",", 
             RowBox[{"Text", "[", 
              RowBox[{
               RowBox[{"Style", "[", 
                RowBox[{
                 RowBox[{"StringJoin", "[", 
                  RowBox[{"{", 
                   RowBox[{"\"\<Q(\>\"", " ", ",", 
                    RowBox[{"ToString", "[", 
                    RowBox[{"-", "x1"}], "]"}], ",", "\"\<,\>\"", ",", 
                    RowBox[{"ToString", "[", 
                    RowBox[{"-", "x2"}], "]"}], ",", "\"\<,\>\"", ",", 
                    RowBox[{"ToString", "[", 
                    RowBox[{"-", "x3"}], "]"}], ",", "\"\<)\>\""}], "}"}], 
                  "]"}], ",", "Large", ",", "Red"}], "]"}], ",", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"-", "x1"}], ",", 
                  RowBox[{"-", "x2"}], ",", 
                  RowBox[{"-", "x3"}]}], "}"}], "+", 
                RowBox[{"{", 
                 RowBox[{"0.5", ",", "0.5", ",", "0.5"}], "}"}]}]}], "]"}], 
             ",", "\[IndentingNewLine]", 
             RowBox[{"Text", "[", 
              RowBox[{
               RowBox[{"Style", "[", 
                RowBox[{
                 RowBox[{"-", "x1"}], ",", "Large"}], "]"}], ",", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"-", "x1"}], ",", "0", ",", "0"}], "}"}], "+", 
                RowBox[{"{", 
                 RowBox[{"0", ",", "0.2", ",", "0.2"}], "}"}]}]}], "]"}], ",", 
             RowBox[{"Text", "[", 
              RowBox[{
               RowBox[{"Style", "[", 
                RowBox[{
                 RowBox[{"-", "x2"}], ",", "Large"}], "]"}], ",", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{"0", ",", 
                  RowBox[{"-", "x2"}], ",", "0"}], "}"}], "+", 
                RowBox[{"{", 
                 RowBox[{"0.2", ",", "0", ",", "0.2"}], "}"}]}]}], "]"}], ",", 
             RowBox[{"Text", "[", 
              RowBox[{
               RowBox[{"Style", "[", 
                RowBox[{
                 RowBox[{"-", "x3"}], ",", "Large"}], "]"}], ",", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{"0", ",", "0", ",", 
                  RowBox[{"-", "x3"}]}], "}"}], "+", 
                RowBox[{"{", 
                 RowBox[{"0.2", ",", "0.2", ",", "0"}], "}"}]}]}], "]"}]}], 
            "}"}]}], "]"}]}], "}"}], "]"}], ",", "\[IndentingNewLine]", 
      RowBox[{"Graphics3D", "[", 
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{"x", "\[Equal]", "4"}], ",", 
         RowBox[{"{", 
          RowBox[{"Red", ",", 
           RowBox[{"Line", "[", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{
                RowBox[{"-", "x1"}], ",", 
                RowBox[{"-", "x2"}], ",", 
                RowBox[{"-", "x3"}]}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"-", "x1"}], ",", 
                RowBox[{"-", "x2"}], ",", "0"}], "}"}]}], "}"}], "]"}], ",", 
           RowBox[{"Line", "[", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{
                RowBox[{"-", "x1"}], ",", 
                RowBox[{"-", "x2"}], ",", 
                RowBox[{"-", "x3"}]}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"-", "x1"}], ",", "0", ",", 
                RowBox[{"-", "x3"}]}], "}"}]}], "}"}], "]"}], ",", 
           RowBox[{"Line", "[", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{
                RowBox[{"-", "x1"}], ",", 
                RowBox[{"-", "x2"}], ",", 
                RowBox[{"-", "x3"}]}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"0", ",", 
                RowBox[{"-", "x2"}], ",", 
                RowBox[{"-", "x3"}]}], "}"}]}], "}"}], "]"}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{"Line", "[", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"0", ",", 
                RowBox[{"-", "x2"}], ",", "0"}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"-", "x1"}], ",", 
                RowBox[{"-", "x2"}], ",", "0"}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"-", "x1"}], ",", "0", ",", "0"}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"-", "x1"}], ",", "0", ",", 
                RowBox[{"-", "x3"}]}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"0", ",", "0", ",", 
                RowBox[{"-", "x3"}]}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"0", ",", 
                RowBox[{"-", "x2"}], ",", 
                RowBox[{"-", "x3"}]}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"0", ",", 
                RowBox[{"-", "x2"}], ",", "0"}], "}"}]}], "}"}], "]"}]}], 
          "}"}]}], "]"}], "]"}], ",", "\[IndentingNewLine]", 
      "\[IndentingNewLine]", 
      RowBox[{"ParametricPlot3D", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"x", ",", "0", ",", "z"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"x", ",", 
          RowBox[{"-", "5"}], ",", "5"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"z", ",", 
          RowBox[{"-", "5"}], ",", "5"}], "}"}], ",", 
        RowBox[{"PlotStyle", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{"Yellow", ",", 
           RowBox[{"Opacity", "[", 
            RowBox[{"0.3", "*", "zx"}], "]"}]}], "}"}]}], ",", 
        RowBox[{"Mesh", "\[Rule]", "None"}]}], "]"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"ParametricPlot3D", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"0", ",", "y", ",", "z"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"y", ",", 
          RowBox[{"-", "5"}], ",", "5"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"z", ",", 
          RowBox[{"-", "5"}], ",", "5"}], "}"}], ",", 
        RowBox[{"PlotStyle", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{"Yellow", ",", 
           RowBox[{"Opacity", "[", 
            RowBox[{"0.3", "*", "yz"}], "]"}]}], "}"}]}], ",", 
        RowBox[{"Mesh", "\[Rule]", "None"}]}], "]"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"ParametricPlot3D", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"x", ",", "y", ",", "0"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"x", ",", 
          RowBox[{"-", "5"}], ",", "5"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"y", ",", 
          RowBox[{"-", "5"}], ",", "5"}], "}"}], ",", 
        RowBox[{"PlotStyle", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{"Yellow", ",", 
           RowBox[{"Opacity", "[", 
            RowBox[{"0.3", "*", "xy"}], "]"}]}], "}"}]}], ",", 
        RowBox[{"Mesh", "\[Rule]", "None"}]}], "]"}], ",", 
      "\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
      RowBox[{"Graphics3D", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Thickness", "[", "0.009", "]"}], ",", 
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{"xy", "\[Equal]", "1"}], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"PointSize", "[", "Large", "]"}], ",", 
               RowBox[{"Point", "[", 
                RowBox[{"{", 
                 RowBox[{"x1", ",", "x2", ",", 
                  RowBox[{"-", "x3"}]}], "}"}], "]"}]}], "}"}], ",", "   ", 
             "\[IndentingNewLine]", ",", 
             RowBox[{"Text", "[", 
              RowBox[{
               RowBox[{"Style", "[", 
                RowBox[{
                 RowBox[{"StringJoin", "[", 
                  RowBox[{"{", 
                   RowBox[{"\"\<Q(\>\"", " ", ",", 
                    RowBox[{"ToString", "[", "x1", "]"}], ",", "\"\<,\>\"", 
                    ",", 
                    RowBox[{"ToString", "[", "x2", "]"}], ",", "\"\<,\>\"", 
                    ",", 
                    RowBox[{"ToString", "[", 
                    RowBox[{"-", "x3"}], "]"}], ",", "\"\<)\>\""}], "}"}], 
                  "]"}], ",", "Large", ",", "Red"}], "]"}], ",", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{"x1", ",", "x2", ",", 
                  RowBox[{"-", "x3"}]}], "}"}], "+", 
                RowBox[{"{", 
                 RowBox[{"0.5", ",", "0.5", ",", "0.5"}], "}"}]}]}], "]"}], 
             ",", "\[IndentingNewLine]", 
             RowBox[{"Text", "[", 
              RowBox[{
               RowBox[{"Style", "[", 
                RowBox[{"x1", ",", "Large"}], "]"}], ",", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{"x1", ",", "0", ",", "0"}], "}"}], "+", 
                RowBox[{"{", 
                 RowBox[{"0", ",", "0.2", ",", "0.2"}], "}"}]}]}], "]"}], ",", 
             RowBox[{"Text", "[", 
              RowBox[{
               RowBox[{"Style", "[", 
                RowBox[{"x2", ",", "Large"}], "]"}], ",", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{"0", ",", "x2", ",", "0"}], "}"}], "+", 
                RowBox[{"{", 
                 RowBox[{"0.2", ",", "0", ",", "0.2"}], "}"}]}]}], "]"}], ",", 
             RowBox[{"Text", "[", 
              RowBox[{
               RowBox[{"Style", "[", 
                RowBox[{
                 RowBox[{"-", "x3"}], ",", "Large"}], "]"}], ",", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{"0", ",", "0", ",", 
                  RowBox[{"-", "x3"}]}], "}"}], "+", 
                RowBox[{"{", 
                 RowBox[{"0.2", ",", "0.2", ",", "0"}], "}"}]}]}], "]"}]}], 
            "}"}]}], "]"}]}], "}"}], "]"}], ",", "\[IndentingNewLine]", 
      RowBox[{"Graphics3D", "[", 
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{"xy", "\[Equal]", "1"}], ",", 
         RowBox[{"{", 
          RowBox[{"Red", ",", 
           RowBox[{"Line", "[", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"x1", ",", "x2", ",", 
                RowBox[{"-", "x3"}]}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"x1", ",", "x2", ",", "0"}], "}"}]}], "}"}], "]"}], 
           ",", 
           RowBox[{"Line", "[", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"x1", ",", "x2", ",", 
                RowBox[{"-", "x3"}]}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"x1", ",", "0", ",", 
                RowBox[{"-", "x3"}]}], "}"}]}], "}"}], "]"}], ",", 
           RowBox[{"Line", "[", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"x1", ",", "x2", ",", 
                RowBox[{"-", "x3"}]}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"0", ",", "x2", ",", 
                RowBox[{"-", "x3"}]}], "}"}]}], "}"}], "]"}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{"Line", "[", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"0", ",", "x2", ",", "0"}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"x1", ",", "x2", ",", "0"}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"x1", ",", "0", ",", "0"}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"x1", ",", "0", ",", 
                RowBox[{"-", "x3"}]}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"0", ",", "0", ",", 
                RowBox[{"-", "x3"}]}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"0", ",", "x2", ",", 
                RowBox[{"-", "x3"}]}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"0", ",", "x2", ",", "0"}], "}"}]}], "}"}], "]"}]}], 
          "}"}]}], "]"}], "]"}], ",", "\[IndentingNewLine]", 
      "\[IndentingNewLine]", 
      RowBox[{"Graphics3D", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Thickness", "[", "0.009", "]"}], ",", 
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{"yz", "\[Equal]", "1"}], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"PointSize", "[", "Large", "]"}], ",", 
               RowBox[{"Point", "[", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"-", "x1"}], ",", "x2", ",", "x3"}], "}"}], "]"}]}],
               "}"}], ",", "   ", "\[IndentingNewLine]", ",", 
             RowBox[{"Text", "[", 
              RowBox[{
               RowBox[{"Style", "[", 
                RowBox[{
                 RowBox[{"StringJoin", "[", 
                  RowBox[{"{", 
                   RowBox[{"\"\<Q(\>\"", " ", ",", 
                    RowBox[{"ToString", "[", 
                    RowBox[{"-", "x1"}], "]"}], ",", "\"\<,\>\"", ",", 
                    RowBox[{"ToString", "[", "x2", "]"}], ",", "\"\<,\>\"", 
                    ",", 
                    RowBox[{"ToString", "[", "x3", "]"}], ",", "\"\<)\>\""}], 
                   "}"}], "]"}], ",", "Large", ",", "Red"}], "]"}], ",", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"-", "x1"}], ",", "x2", ",", "x3"}], "}"}], "+", 
                RowBox[{"{", 
                 RowBox[{"0.5", ",", "0.5", ",", "0.5"}], "}"}]}]}], "]"}], 
             ",", "\[IndentingNewLine]", 
             RowBox[{"Text", "[", 
              RowBox[{
               RowBox[{"Style", "[", 
                RowBox[{
                 RowBox[{"-", "x1"}], ",", "Large"}], "]"}], ",", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"-", "x1"}], ",", "0", ",", "0"}], "}"}], "+", 
                RowBox[{"{", 
                 RowBox[{"0", ",", "0.2", ",", "0.2"}], "}"}]}]}], "]"}], ",", 
             RowBox[{"Text", "[", 
              RowBox[{
               RowBox[{"Style", "[", 
                RowBox[{"x2", ",", "Large"}], "]"}], ",", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{"0", ",", "x2", ",", "0"}], "}"}], "+", 
                RowBox[{"{", 
                 RowBox[{"0.2", ",", "0", ",", "0.2"}], "}"}]}]}], "]"}], ",", 
             RowBox[{"Text", "[", 
              RowBox[{
               RowBox[{"Style", "[", 
                RowBox[{"x3", ",", "Large"}], "]"}], ",", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{"0", ",", "0", ",", "x3"}], "}"}], "+", 
                RowBox[{"{", 
                 RowBox[{"0.2", ",", "0.2", ",", "0"}], "}"}]}]}], "]"}]}], 
            "}"}]}], "]"}]}], "}"}], "]"}], ",", "\[IndentingNewLine]", 
      RowBox[{"Graphics3D", "[", 
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{"yz", "\[Equal]", "1"}], ",", 
         RowBox[{"{", 
          RowBox[{"Red", ",", 
           RowBox[{"Line", "[", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{
                RowBox[{"-", "x1"}], ",", "x2", ",", "x3"}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"-", "x1"}], ",", "x2", ",", "0"}], "}"}]}], "}"}], 
            "]"}], ",", 
           RowBox[{"Line", "[", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{
                RowBox[{"-", "x1"}], ",", "x2", ",", "x3"}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"-", "x1"}], ",", "0", ",", "x3"}], "}"}]}], "}"}], 
            "]"}], ",", 
           RowBox[{"Line", "[", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{
                RowBox[{"-", "x1"}], ",", "x2", ",", "x3"}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"0", ",", "x2", ",", "x3"}], "}"}]}], "}"}], "]"}], 
           ",", "\[IndentingNewLine]", 
           RowBox[{"Line", "[", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"0", ",", "x2", ",", "0"}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"-", "x1"}], ",", "x2", ",", "0"}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"-", "x1"}], ",", "0", ",", "0"}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"-", "x1"}], ",", "0", ",", "x3"}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"0", ",", "0", ",", "x3"}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"0", ",", "x2", ",", "x3"}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"0", ",", "x2", ",", "0"}], "}"}]}], "}"}], "]"}]}], 
          "}"}]}], "]"}], "]"}], ",", "\[IndentingNewLine]", 
      "\[IndentingNewLine]", 
      RowBox[{"Graphics3D", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Thickness", "[", "0.009", "]"}], ",", 
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{"zx", "\[Equal]", "1"}], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"PointSize", "[", "Large", "]"}], ",", 
               RowBox[{"Point", "[", 
                RowBox[{"{", 
                 RowBox[{"x1", ",", 
                  RowBox[{"-", "x2"}], ",", "x3"}], "}"}], "]"}]}], "}"}], 
             ",", "   ", "\[IndentingNewLine]", ",", 
             RowBox[{"Text", "[", 
              RowBox[{
               RowBox[{"Style", "[", 
                RowBox[{
                 RowBox[{"StringJoin", "[", 
                  RowBox[{"{", 
                   RowBox[{"\"\<Q(\>\"", " ", ",", 
                    RowBox[{"ToString", "[", "x1", "]"}], ",", "\"\<,\>\"", 
                    ",", 
                    RowBox[{"ToString", "[", 
                    RowBox[{"-", "x2"}], "]"}], ",", "\"\<,\>\"", ",", 
                    RowBox[{"ToString", "[", "x3", "]"}], ",", "\"\<)\>\""}], 
                   "}"}], "]"}], ",", "Large", ",", "Red"}], "]"}], ",", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{"x1", ",", 
                  RowBox[{"-", "x2"}], ",", "x3"}], "}"}], "+", 
                RowBox[{"{", 
                 RowBox[{"0.5", ",", "0.5", ",", "0.5"}], "}"}]}]}], "]"}], 
             ",", "\[IndentingNewLine]", 
             RowBox[{"Text", "[", 
              RowBox[{
               RowBox[{"Style", "[", 
                RowBox[{"x1", ",", "Large"}], "]"}], ",", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{"x1", ",", "0", ",", "0"}], "}"}], "+", 
                RowBox[{"{", 
                 RowBox[{"0", ",", "0.2", ",", "0.2"}], "}"}]}]}], "]"}], ",", 
             RowBox[{"Text", "[", 
              RowBox[{
               RowBox[{"Style", "[", 
                RowBox[{
                 RowBox[{"-", "x2"}], ",", "Large"}], "]"}], ",", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{"0", ",", 
                  RowBox[{"-", "x2"}], ",", "0"}], "}"}], "+", 
                RowBox[{"{", 
                 RowBox[{"0.2", ",", "0", ",", "0.2"}], "}"}]}]}], "]"}], ",", 
             RowBox[{"Text", "[", 
              RowBox[{
               RowBox[{"Style", "[", 
                RowBox[{"x3", ",", "Large"}], "]"}], ",", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{"0", ",", "0", ",", "x3"}], "}"}], "+", 
                RowBox[{"{", 
                 RowBox[{"0.2", ",", "0.2", ",", "0"}], "}"}]}]}], "]"}]}], 
            "}"}]}], "]"}]}], "}"}], "]"}], ",", "\[IndentingNewLine]", 
      RowBox[{"Graphics3D", "[", 
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{"zx", "\[Equal]", "1"}], ",", 
         RowBox[{"{", 
          RowBox[{"Red", ",", 
           RowBox[{"Line", "[", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"x1", ",", 
                RowBox[{"-", "x2"}], ",", "x3"}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"x1", ",", 
                RowBox[{"-", "x2"}], ",", "0"}], "}"}]}], "}"}], "]"}], ",", 
           RowBox[{"Line", "[", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"x1", ",", 
                RowBox[{"-", "x2"}], ",", "x3"}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"x1", ",", "0", ",", "x3"}], "}"}]}], "}"}], "]"}], 
           ",", 
           RowBox[{"Line", "[", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"x1", ",", 
                RowBox[{"-", "x2"}], ",", "x3"}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"0", ",", 
                RowBox[{"-", "x2"}], ",", "x3"}], "}"}]}], "}"}], "]"}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{"Line", "[", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"0", ",", 
                RowBox[{"-", "x2"}], ",", "0"}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"x1", ",", 
                RowBox[{"-", "x2"}], ",", "0"}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"x1", ",", "0", ",", "0"}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"x1", ",", "0", ",", "x3"}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"0", ",", "0", ",", "x3"}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"0", ",", 
                RowBox[{"-", "x2"}], ",", "x3"}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"0", ",", 
                RowBox[{"-", "x2"}], ",", "0"}], "}"}]}], "}"}], "]"}]}], 
          "}"}]}], "]"}], "]"}], ",", "\[IndentingNewLine]", 
      "\[IndentingNewLine]", 
      RowBox[{"Graphics3D", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{"x", "\[Equal]", "1"}], ",", 
           RowBox[{"Text", "[", 
            RowBox[{
             RowBox[{"Style", "[", 
              RowBox[{
              "\"\<x\:8ef8\:306b\:95a2\:3057\:3066\:5bfe\:79f0\:306a\:70b9\>\"\
", ",", "Large"}], "]"}], ",", 
             RowBox[{"{", 
              RowBox[{"0", ",", "0", ",", 
               RowBox[{"-", "7"}]}], "}"}]}], "]"}]}], "]"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{"x", "\[Equal]", "2"}], ",", 
           RowBox[{"Text", "[", 
            RowBox[{
             RowBox[{"Style", "[", 
              RowBox[{
              "\"\<y\:8ef8\:306b\:95a2\:3057\:3066\:5bfe\:79f0\:306a\:70b9\>\"\
", ",", "Large"}], "]"}], ",", 
             RowBox[{"{", 
              RowBox[{"0", ",", "0", ",", 
               RowBox[{"-", "7"}]}], "}"}]}], "]"}]}], "]"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{"x", "\[Equal]", "3"}], ",", 
           RowBox[{"Text", "[", 
            RowBox[{
             RowBox[{"Style", "[", 
              RowBox[{
              "\"\<z\:8ef8\:306b\:95a2\:3057\:3066\:5bfe\:79f0\:306a\:70b9\>\"\
", ",", "Large"}], "]"}], ",", 
             RowBox[{"{", 
              RowBox[{"0", ",", "0", ",", 
               RowBox[{"-", "7"}]}], "}"}]}], "]"}]}], "]"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{"x", "\[Equal]", "4"}], ",", 
           RowBox[{"Text", "[", 
            RowBox[{
             RowBox[{"Style", "[", 
              RowBox[{
              "\"\<\:539f\:70b9\:306b\:95a2\:3057\:3066\:5bfe\:79f0\:306a\
\:70b9\>\"", ",", "Large"}], "]"}], ",", 
             RowBox[{"{", 
              RowBox[{"0", ",", "0", ",", 
               RowBox[{"-", "7"}]}], "}"}]}], "]"}]}], "]"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{"xy", "\[Equal]", "1"}], ",", 
           RowBox[{"Text", "[", 
            RowBox[{
             RowBox[{"Style", "[", 
              RowBox[{
              "\"\<xy\:5e73\:9762\:306b\:95a2\:3057\:3066\:5bfe\:79f0\:306a\
\:70b9\>\"", ",", "Large"}], "]"}], ",", 
             RowBox[{"{", 
              RowBox[{"0", ",", "0", ",", 
               RowBox[{"-", "7"}]}], "}"}]}], "]"}]}], "]"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{"yz", "\[Equal]", "1"}], ",", 
           RowBox[{"Text", "[", 
            RowBox[{
             RowBox[{"Style", "[", 
              RowBox[{
              "\"\<yz\:5e73\:9762\:306b\:95a2\:3057\:3066\:5bfe\:79f0\:306a\
\:70b9\>\"", ",", "Large"}], "]"}], ",", 
             RowBox[{"{", 
              RowBox[{"0", ",", "0", ",", 
               RowBox[{"-", "7"}]}], "}"}]}], "]"}]}], "]"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{"zx", "\[Equal]", "1"}], ",", 
           RowBox[{"Text", "[", 
            RowBox[{
             RowBox[{"Style", "[", 
              RowBox[{
              "\"\<zx\:5e73\:9762\:306b\:95a2\:3057\:3066\:5bfe\:79f0\:306a\
\:70b9\>\"", ",", "Large"}], "]"}], ",", 
             RowBox[{"{", 
              RowBox[{"0", ",", "0", ",", 
               RowBox[{"-", "7"}]}], "}"}]}], "]"}]}], "]"}]}], 
        "\[IndentingNewLine]", "}"}], "]"}], ",", "\[IndentingNewLine]", 
      "\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
      "\[IndentingNewLine]", 
      RowBox[{"PlotRange", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"-", "5"}], ",", "6"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"-", "5"}], ",", "6"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"-", "7"}], ",", "6"}], "}"}]}], "}"}]}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"BoxRatios", "\[Rule]", "Automatic"}], ",", 
      RowBox[{"Boxed", "->", "False"}], ",", 
      RowBox[{"Axes", "\[Rule]", "False"}], ",", 
      RowBox[{"ImageSize", "\[Rule]", "Large"}]}], "\[IndentingNewLine]", 
     "]"}], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"x1", ",", "1", ",", "\"\<(\!\(\*
StyleBox[\"x1\",
FontVariations->{\"Underline\"->True}]\), x2, x3)\>\""}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"-", "1"}], ",", "0", ",", "1", ",", "2", ",", "3", ",", "4", 
        ",", "5"}], "}"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"x2", ",", "2", ",", "\"\<(x1, \!\(\*
StyleBox[\"x2\",
FontVariations->{\"Underline\"->True}]\), x3)\>\""}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"-", "1"}], ",", "0", ",", "1", ",", "2", ",", "3", ",", "4", 
        ",", "5"}], "}"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"x3", ",", "3", ",", "\"\<(x1, x2, \!\(\*
StyleBox[\"x3\",
FontVariations->{\"Underline\"->True}]\))\>\""}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"-", "1"}], ",", "0", ",", "1", ",", "2", ",", "3", ",", "4", 
        ",", "5"}], "}"}]}], "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
       "x", ",", "0", ",", 
        "\"\<1:x\:8ef8 2:y\:8ef8 3:z\:8ef8 4:\:539f\:70b9\:306b\:95a2\:3057\
\:3066\:5bfe\:79f0\>\""}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"0", ",", "1", ",", "2", ",", "3", ",", "4"}], "}"}]}], "}"}], 
    ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
       "xy", ",", "0", ",", 
        "\"\<xy\:5e73\:9762\:306b\:95a2\:3057\:3066\:5bfe\:79f0\>\""}], "}"}],
       ",", 
      RowBox[{"{", 
       RowBox[{"0", ",", "1"}], "}"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
       "yz", ",", "0", ",", 
        "\"\<yz\:5e73\:9762\:306b\:95a2\:3057\:3066\:5bfe\:79f0\>\""}], "}"}],
       ",", 
      RowBox[{"{", 
       RowBox[{"0", ",", "1"}], "}"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
       "zx", ",", "0", ",", 
        "\"\<zx\:5e73\:9762\:306b\:95a2\:3057\:3066\:5bfe\:79f0\>\""}], "}"}],
       ",", 
      RowBox[{"{", 
       RowBox[{"0", ",", "1"}], "}"}]}], "}"}], ",", 
    RowBox[{"FrameMargins", "\[Rule]", "0"}], ",", 
    RowBox[{"ControlPlacement", "\[Rule]", "Left"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.629670270926195*^9, 3.629670282984841*^9}, {
   3.6296703583638754`*^9, 3.6296704891369987`*^9}, {3.6296705842333794`*^9, 
   3.62967062395047*^9}, {3.6296719957738667`*^9, 3.629672089605461*^9}, {
   3.629672172064946*^9, 3.62967234932366*^9}, {3.629672383471403*^9, 
   3.629672388244911*^9}, 3.6296724271817627`*^9, {3.629672473856065*^9, 
   3.6296725684058466`*^9}, {3.6296725995117874`*^9, 3.629672679741559*^9}, {
   3.6296727282101374`*^9, 3.629672821465742*^9}, {3.629673005122187*^9, 
   3.6296730237015495`*^9}, {3.629673075165289*^9, 3.6296730775520587`*^9}, {
   3.629673146549974*^9, 3.6296732640476675`*^9}, {3.6296734076438265`*^9, 
   3.6296734866193805`*^9}, {3.6296736927963877`*^9, 
   3.6296737641294127`*^9}, {3.629673799383605*^9, 3.6296738194285765`*^9}, {
   3.6296738592845325`*^9, 3.629673943442217*^9}, {3.629673973829458*^9, 
   3.629674015042545*^9}, {3.6296746909304714`*^9, 3.6296747869160414`*^9}, {
   3.6296748933534765`*^9, 3.6296750526118345`*^9}, {3.6296751005344205`*^9, 
   3.629675113763051*^9}, {3.6296751461638355`*^9, 3.629675391174294*^9}, {
   3.6296754254782543`*^9, 3.62967552991506*^9}, {3.629675620354004*^9, 
   3.629675764591484*^9}, {3.6297592128363867`*^9, 3.62975931242551*^9}, {
   3.6297593443115015`*^9, 3.629759438144298*^9}, {3.629759469577895*^9, 
   3.6297595419297676`*^9}, {3.629759580242876*^9, 3.6297599456525917`*^9}, {
   3.6297600354918394`*^9, 3.629760036396628*^9}, {3.6297601777228165`*^9, 
   3.62976023594127*^9}, {3.629760362939242*^9, 3.6297603946848345`*^9}, {
   3.629760425556839*^9, 3.629760508532175*^9}, {3.6297674241518836`*^9, 
   3.6297674277866373`*^9}, {3.6297674634945793`*^9, 3.62976764672983*^9}, {
   3.6297677408746233`*^9, 3.629767813351294*^9}, 3.6297678770296774`*^9, {
   3.6297679106628466`*^9, 3.62976791740196*^9}, {3.6297680021088743`*^9, 
   3.6297680838830256`*^9}, {3.629768114115438*^9, 3.629768304666995*^9}, {
   3.629768366364204*^9, 3.629768467684905*^9}, {3.629768503486446*^9, 
   3.6297685985204277`*^9}, {3.6297687215560503`*^9, 
   3.6297687890719843`*^9}, {3.629768850722394*^9, 3.6297689276762075`*^9}, {
   3.62976896101298*^9, 3.629769003772032*^9}, {3.629769055703766*^9, 
   3.6297690578565383`*^9}, {3.629769105623126*^9, 3.6297691274940453`*^9}, {
   3.629769207131025*^9, 3.629769331211834*^9}, {3.6297693683081584`*^9, 
   3.6297696721142635`*^9}, {3.629769777444113*^9, 3.6297698088309107`*^9}, {
   3.6297701410130515`*^9, 3.629770145739791*^9}, {3.6297701921959953`*^9, 
   3.6297702406957736`*^9}, {3.6297702963246603`*^9, 
   3.6297703053725443`*^9}, {3.6297703407840905`*^9, 3.629770654121673*^9}, {
   3.6297706844788837`*^9, 3.6297707968598433`*^9}, {3.6297708502891583`*^9, 
   3.62977088446832*^9}, {3.6297709839794445`*^9, 3.629770987130604*^9}, 
   3.6299780562942486`*^9}],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`x$$ = 4, $CellContext`x1$$ = 
    1, $CellContext`x2$$ = 2, $CellContext`x3$$ = 3, $CellContext`xy$$ = 
    0, $CellContext`yz$$ = 0, $CellContext`zx$$ = 0, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"\:540d\:79f0\:672a\:5b9a\:7fa9\"", Typeset`specs$$ = {{{
       Hold[$CellContext`x1$$], 1, 
       "(\!\(\*\nStyleBox[\"x1\",\nFontVariations->{\"Underline\"->True}]\), \
x2, x3)"}, {-1, 0, 1, 2, 3, 4, 5}}, {{
       Hold[$CellContext`x2$$], 2, 
       "(x1, \!\(\*\nStyleBox[\"x2\",\nFontVariations->{\"Underline\"->True}]\
\), x3)"}, {-1, 0, 1, 2, 3, 4, 5}}, {{
       Hold[$CellContext`x3$$], 3, 
       "(x1, x2, \!\(\*\nStyleBox[\"x3\",\n\
FontVariations->{\"Underline\"->True}]\))"}, {-1, 0, 1, 2, 3, 4, 5}}, {{
       Hold[$CellContext`x$$], 0, 
       "1:x\:8ef8 2:y\:8ef8 3:z\:8ef8 4:\:539f\:70b9\:306b\:95a2\:3057\:3066\
\:5bfe\:79f0"}, {0, 1, 2, 3, 4}}, {{
       Hold[$CellContext`xy$$], 0, 
       "xy\:5e73\:9762\:306b\:95a2\:3057\:3066\:5bfe\:79f0"}, {0, 1}}, {{
       Hold[$CellContext`yz$$], 0, 
       "yz\:5e73\:9762\:306b\:95a2\:3057\:3066\:5bfe\:79f0"}, {0, 1}}, {{
       Hold[$CellContext`zx$$], 0, 
       "zx\:5e73\:9762\:306b\:95a2\:3057\:3066\:5bfe\:79f0"}, {0, 1}}}, 
    Typeset`size$$ = {576., {318., 321.}}, Typeset`update$$ = 0, 
    Typeset`initDone$$, Typeset`skipInitDone$$ = 
    True, $CellContext`x1$1042$$ = 0, $CellContext`x2$1043$$ = 
    0, $CellContext`x3$1044$$ = 0, $CellContext`x$1045$$ = 
    0, $CellContext`xy$1046$$ = False, $CellContext`yz$1047$$ = 
    False, $CellContext`zx$1048$$ = False}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`x$$ = 0, $CellContext`x1$$ = 
        1, $CellContext`x2$$ = 2, $CellContext`x3$$ = 3, $CellContext`xy$$ = 
        0, $CellContext`yz$$ = 0, $CellContext`zx$$ = 0}, 
      "ControllerVariables" :> {
        Hold[$CellContext`x1$$, $CellContext`x1$1042$$, 0], 
        Hold[$CellContext`x2$$, $CellContext`x2$1043$$, 0], 
        Hold[$CellContext`x3$$, $CellContext`x3$1044$$, 0], 
        Hold[$CellContext`x$$, $CellContext`x$1045$$, 0], 
        Hold[$CellContext`xy$$, $CellContext`xy$1046$$, False], 
        Hold[$CellContext`yz$$, $CellContext`yz$1047$$, False], 
        Hold[$CellContext`zx$$, $CellContext`zx$1048$$, False]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> Show[
        Graphics3D[{Arrowheads -> Large, 
          Thickness[0.009], {Blue, 
           Arrow[{{0, 0, -5}, {0, 0, 5}}], 
           Arrow[{{0, -5, 0}, {0, 5, 0}}], 
           Arrow[{{-5, 0, 0}, {5, 0, 0}}]}, 
          Text[
           Style["x", Large], {5.5, 0, 0}], 
          Text[
           Style["y", Large], {0, 5.5, 0}], 
          Text[
           Style["z", Large], {0, 0, 5.5}], 
          Text[
           Style["O", Large], {0.3, 0.3, 0.3}]}], 
        Graphics3D[{
          Thickness[0.009], {
           PointSize[Large], 
           Point[{$CellContext`x1$$, $CellContext`x2$$, $CellContext`x3$$}]}, 
          Text[
           Style[
            StringJoin[{"P(", 
              ToString[$CellContext`x1$$], ",", 
              ToString[$CellContext`x2$$], ",", 
              ToString[$CellContext`x3$$], ")"}], 
            Large], {$CellContext`x1$$, $CellContext`x2$$, $CellContext`x3$$} + \
{0.5, 0.5, 0.5}], 
          Text[
           
           Style[$CellContext`x1$$, Large], {$CellContext`x1$$, 0, 0} + {
            0, 0.2, 0.2}], 
          Text[
           
           Style[$CellContext`x2$$, Large], {0, $CellContext`x2$$, 0} + {
            0.2, 0, 0.2}], 
          Text[
           
           Style[$CellContext`x3$$, Large], {0, 0, $CellContext`x3$$} + {
            0.2, 0.2, 0}]}], 
        Graphics3D[{Red, 
          
          Line[{{$CellContext`x1$$, $CellContext`x2$$, $CellContext`x3$$}, \
{$CellContext`x1$$, $CellContext`x2$$, 0}}], 
          
          Line[{{$CellContext`x1$$, $CellContext`x2$$, $CellContext`x3$$}, \
{$CellContext`x1$$, 0, $CellContext`x3$$}}], 
          
          Line[{{$CellContext`x1$$, $CellContext`x2$$, $CellContext`x3$$}, {
            0, $CellContext`x2$$, $CellContext`x3$$}}], 
          
          Line[{{0, $CellContext`x2$$, 
             0}, {$CellContext`x1$$, $CellContext`x2$$, 
             0}, {$CellContext`x1$$, 0, 0}, {$CellContext`x1$$, 
             0, $CellContext`x3$$}, {0, 0, $CellContext`x3$$}, {
            0, $CellContext`x2$$, $CellContext`x3$$}, {
            0, $CellContext`x2$$, 0}}]}], 
        Graphics3D[{
          Thickness[0.009], 
          If[$CellContext`x$$ == 1, {{
             PointSize[Large], 
             
             Point[{$CellContext`x1$$, -$CellContext`x2$$, \
-$CellContext`x3$$}]}, Null, 
            Text[
             Style[
              StringJoin[{"Q(", 
                ToString[$CellContext`x1$$], ",", 
                ToString[-$CellContext`x2$$], ",", 
                ToString[-$CellContext`x3$$], ")"}], Large, 
              Red], {$CellContext`x1$$, -$CellContext`x2$$, \
-$CellContext`x3$$} + {0.5, 0.5, 0.5}], 
            Text[
             
             Style[$CellContext`x1$$, Large], {$CellContext`x1$$, 0, 0} + {
              0, 0.2, 0.2}], 
            Text[
             
             Style[-$CellContext`x2$$, Large], {0, -$CellContext`x2$$, 0} + {
              0.2, 0, 0.2}], 
            Text[
             
             Style[-$CellContext`x3$$, Large], {0, 0, -$CellContext`x3$$} + {
              0.2, 0.2, 0}]}]}], 
        Graphics3D[
         If[$CellContext`x$$ == 1, {Red, 
           
           Line[{{$CellContext`x1$$, -$CellContext`x2$$, -$CellContext`x3$$}, \
{$CellContext`x1$$, -$CellContext`x2$$, 0}}], 
           
           Line[{{$CellContext`x1$$, -$CellContext`x2$$, -$CellContext`x3$$}, \
{$CellContext`x1$$, 0, -$CellContext`x3$$}}], 
           
           Line[{{$CellContext`x1$$, -$CellContext`x2$$, -$CellContext`x3$$}, \
{0, -$CellContext`x2$$, -$CellContext`x3$$}}], 
           
           Line[{{0, -$CellContext`x2$$, 
              0}, {$CellContext`x1$$, -$CellContext`x2$$, 
              0}, {$CellContext`x1$$, 0, 0}, {$CellContext`x1$$, 
              0, -$CellContext`x3$$}, {0, 0, -$CellContext`x3$$}, {
             0, -$CellContext`x2$$, -$CellContext`x3$$}, {
             0, -$CellContext`x2$$, 0}}]}]], 
        Graphics3D[{
          Thickness[0.009], 
          If[$CellContext`x$$ == 2, {{
             PointSize[Large], 
             
             Point[{-$CellContext`x1$$, $CellContext`x2$$, \
-$CellContext`x3$$}]}, Null, 
            Text[
             Style[
              StringJoin[{"Q(", 
                ToString[-$CellContext`x1$$], ",", 
                ToString[$CellContext`x2$$], ",", 
                ToString[-$CellContext`x3$$], ")"}], Large, 
              Red], {-$CellContext`x1$$, $CellContext`x2$$, \
-$CellContext`x3$$} + {0.5, 0.5, 0.5}], 
            Text[
             
             Style[-$CellContext`x1$$, Large], {-$CellContext`x1$$, 0, 0} + {
              0, 0.2, 0.2}], 
            Text[
             
             Style[$CellContext`x2$$, Large], {0, $CellContext`x2$$, 0} + {
              0.2, 0, 0.2}], 
            Text[
             
             Style[-$CellContext`x3$$, Large], {0, 0, -$CellContext`x3$$} + {
              0.2, 0.2, 0}]}]}], 
        Graphics3D[
         If[$CellContext`x$$ == 2, {Red, 
           
           Line[{{-$CellContext`x1$$, $CellContext`x2$$, -$CellContext`x3$$}, \
{-$CellContext`x1$$, $CellContext`x2$$, 0}}], 
           
           Line[{{-$CellContext`x1$$, $CellContext`x2$$, -$CellContext`x3$$}, \
{-$CellContext`x1$$, 0, -$CellContext`x3$$}}], 
           
           Line[{{-$CellContext`x1$$, $CellContext`x2$$, -$CellContext`x3$$}, \
{0, $CellContext`x2$$, -$CellContext`x3$$}}], 
           Line[{{
             0, $CellContext`x2$$, 0}, {-$CellContext`x1$$, $CellContext`x2$$,
               0}, {-$CellContext`x1$$, 0, 0}, {-$CellContext`x1$$, 
              0, -$CellContext`x3$$}, {0, 0, -$CellContext`x3$$}, {
             0, $CellContext`x2$$, -$CellContext`x3$$}, {
             0, $CellContext`x2$$, 0}}]}]], 
        Graphics3D[{
          Thickness[0.009], 
          If[$CellContext`x$$ == 3, {{
             PointSize[Large], 
             
             Point[{-$CellContext`x1$$, -$CellContext`x2$$, \
$CellContext`x3$$}]}, Null, 
            Text[
             Style[
              StringJoin[{"Q(", 
                ToString[-$CellContext`x1$$], ",", 
                ToString[-$CellContext`x2$$], ",", 
                ToString[$CellContext`x3$$], ")"}], Large, 
              Red], {-$CellContext`x1$$, -$CellContext`x2$$, \
$CellContext`x3$$} + {0.5, 0.5, 0.5}], 
            Text[
             
             Style[-$CellContext`x1$$, Large], {-$CellContext`x1$$, 0, 0} + {
              0, 0.2, 0.2}], 
            Text[
             
             Style[-$CellContext`x2$$, Large], {0, -$CellContext`x2$$, 0} + {
              0.2, 0, 0.2}], 
            Text[
             
             Style[$CellContext`x3$$, Large], {0, 0, $CellContext`x3$$} + {
              0.2, 0.2, 0}]}]}], 
        Graphics3D[
         If[$CellContext`x$$ == 3, {Red, 
           
           Line[{{-$CellContext`x1$$, -$CellContext`x2$$, $CellContext`x3$$}, \
{-$CellContext`x1$$, -$CellContext`x2$$, 0}}], 
           
           Line[{{-$CellContext`x1$$, -$CellContext`x2$$, $CellContext`x3$$}, \
{-$CellContext`x1$$, 0, $CellContext`x3$$}}], 
           
           Line[{{-$CellContext`x1$$, -$CellContext`x2$$, $CellContext`x3$$}, \
{0, -$CellContext`x2$$, $CellContext`x3$$}}], 
           
           Line[{{0, -$CellContext`x2$$, 
              0}, {-$CellContext`x1$$, -$CellContext`x2$$, 
              0}, {-$CellContext`x1$$, 0, 0}, {-$CellContext`x1$$, 
              0, $CellContext`x3$$}, {0, 0, $CellContext`x3$$}, {
             0, -$CellContext`x2$$, $CellContext`x3$$}, {
             0, -$CellContext`x2$$, 0}}]}]], 
        Graphics3D[{
          Thickness[0.009], 
          If[$CellContext`x$$ == 4, {{
             PointSize[Large], 
             
             Point[{-$CellContext`x1$$, -$CellContext`x2$$, \
-$CellContext`x3$$}]}, Null, 
            Text[
             Style[
              StringJoin[{"Q(", 
                ToString[-$CellContext`x1$$], ",", 
                ToString[-$CellContext`x2$$], ",", 
                ToString[-$CellContext`x3$$], ")"}], Large, 
              Red], {-$CellContext`x1$$, -$CellContext`x2$$, \
-$CellContext`x3$$} + {0.5, 0.5, 0.5}], 
            Text[
             
             Style[-$CellContext`x1$$, Large], {-$CellContext`x1$$, 0, 0} + {
              0, 0.2, 0.2}], 
            Text[
             
             Style[-$CellContext`x2$$, Large], {0, -$CellContext`x2$$, 0} + {
              0.2, 0, 0.2}], 
            Text[
             
             Style[-$CellContext`x3$$, Large], {0, 0, -$CellContext`x3$$} + {
              0.2, 0.2, 0}]}]}], 
        Graphics3D[
         If[$CellContext`x$$ == 4, {Red, 
           
           Line[{{-$CellContext`x1$$, -$CellContext`x2$$, \
-$CellContext`x3$$}, {-$CellContext`x1$$, -$CellContext`x2$$, 0}}], 
           
           Line[{{-$CellContext`x1$$, -$CellContext`x2$$, \
-$CellContext`x3$$}, {-$CellContext`x1$$, 0, -$CellContext`x3$$}}], 
           
           Line[{{-$CellContext`x1$$, -$CellContext`x2$$, \
-$CellContext`x3$$}, {0, -$CellContext`x2$$, -$CellContext`x3$$}}], 
           
           Line[{{0, -$CellContext`x2$$, 
              0}, {-$CellContext`x1$$, -$CellContext`x2$$, 
              0}, {-$CellContext`x1$$, 0, 0}, {-$CellContext`x1$$, 
              0, -$CellContext`x3$$}, {0, 0, -$CellContext`x3$$}, {
             0, -$CellContext`x2$$, -$CellContext`x3$$}, {
             0, -$CellContext`x2$$, 0}}]}]], 
        ParametricPlot3D[{$CellContext`x$$, 
          0, $CellContext`z}, {$CellContext`x$$, -5, 5}, {$CellContext`z, -5, 
          5}, PlotStyle -> {Yellow, 
           Opacity[0.3 $CellContext`zx$$]}, Mesh -> None], 
        ParametricPlot3D[{
         0, $CellContext`y, $CellContext`z}, {$CellContext`y, -5, 
          5}, {$CellContext`z, -5, 5}, PlotStyle -> {Yellow, 
           Opacity[0.3 $CellContext`yz$$]}, Mesh -> None], 
        ParametricPlot3D[{$CellContext`x$$, $CellContext`y, 
          0}, {$CellContext`x$$, -5, 5}, {$CellContext`y, -5, 5}, 
         PlotStyle -> {Yellow, 
           Opacity[0.3 $CellContext`xy$$]}, Mesh -> None], 
        Graphics3D[{
          Thickness[0.009], 
          If[$CellContext`xy$$ == 1, {{
             PointSize[Large], 
             
             Point[{$CellContext`x1$$, $CellContext`x2$$, \
-$CellContext`x3$$}]}, Null, 
            Text[
             Style[
              StringJoin[{"Q(", 
                ToString[$CellContext`x1$$], ",", 
                ToString[$CellContext`x2$$], ",", 
                ToString[-$CellContext`x3$$], ")"}], Large, 
              Red], {$CellContext`x1$$, $CellContext`x2$$, \
-$CellContext`x3$$} + {0.5, 0.5, 0.5}], 
            Text[
             
             Style[$CellContext`x1$$, Large], {$CellContext`x1$$, 0, 0} + {
              0, 0.2, 0.2}], 
            Text[
             
             Style[$CellContext`x2$$, Large], {0, $CellContext`x2$$, 0} + {
              0.2, 0, 0.2}], 
            Text[
             
             Style[-$CellContext`x3$$, Large], {0, 0, -$CellContext`x3$$} + {
              0.2, 0.2, 0}]}]}], 
        Graphics3D[
         If[$CellContext`xy$$ == 1, {Red, 
           
           Line[{{$CellContext`x1$$, $CellContext`x2$$, -$CellContext`x3$$}, \
{$CellContext`x1$$, $CellContext`x2$$, 0}}], 
           
           Line[{{$CellContext`x1$$, $CellContext`x2$$, -$CellContext`x3$$}, \
{$CellContext`x1$$, 0, -$CellContext`x3$$}}], 
           
           Line[{{$CellContext`x1$$, $CellContext`x2$$, -$CellContext`x3$$}, {
             0, $CellContext`x2$$, -$CellContext`x3$$}}], 
           
           Line[{{0, $CellContext`x2$$, 
              0}, {$CellContext`x1$$, $CellContext`x2$$, 
              0}, {$CellContext`x1$$, 0, 0}, {$CellContext`x1$$, 
              0, -$CellContext`x3$$}, {0, 0, -$CellContext`x3$$}, {
             0, $CellContext`x2$$, -$CellContext`x3$$}, {
             0, $CellContext`x2$$, 0}}]}]], 
        Graphics3D[{
          Thickness[0.009], 
          If[$CellContext`yz$$ == 1, {{
             PointSize[Large], 
             
             Point[{-$CellContext`x1$$, $CellContext`x2$$, \
$CellContext`x3$$}]}, Null, 
            Text[
             Style[
              StringJoin[{"Q(", 
                ToString[-$CellContext`x1$$], ",", 
                ToString[$CellContext`x2$$], ",", 
                ToString[$CellContext`x3$$], ")"}], Large, 
              Red], {-$CellContext`x1$$, $CellContext`x2$$, \
$CellContext`x3$$} + {0.5, 0.5, 0.5}], 
            Text[
             
             Style[-$CellContext`x1$$, Large], {-$CellContext`x1$$, 0, 0} + {
              0, 0.2, 0.2}], 
            Text[
             
             Style[$CellContext`x2$$, Large], {0, $CellContext`x2$$, 0} + {
              0.2, 0, 0.2}], 
            Text[
             
             Style[$CellContext`x3$$, Large], {0, 0, $CellContext`x3$$} + {
              0.2, 0.2, 0}]}]}], 
        Graphics3D[
         If[$CellContext`yz$$ == 1, {Red, 
           
           Line[{{-$CellContext`x1$$, $CellContext`x2$$, $CellContext`x3$$}, \
{-$CellContext`x1$$, $CellContext`x2$$, 0}}], 
           
           Line[{{-$CellContext`x1$$, $CellContext`x2$$, $CellContext`x3$$}, \
{-$CellContext`x1$$, 0, $CellContext`x3$$}}], 
           
           Line[{{-$CellContext`x1$$, $CellContext`x2$$, $CellContext`x3$$}, {
             0, $CellContext`x2$$, $CellContext`x3$$}}], 
           
           Line[{{0, $CellContext`x2$$, 
              0}, {-$CellContext`x1$$, $CellContext`x2$$, 
              0}, {-$CellContext`x1$$, 0, 0}, {-$CellContext`x1$$, 
              0, $CellContext`x3$$}, {0, 0, $CellContext`x3$$}, {
             0, $CellContext`x2$$, $CellContext`x3$$}, {
             0, $CellContext`x2$$, 0}}]}]], 
        Graphics3D[{
          Thickness[0.009], 
          If[$CellContext`zx$$ == 1, {{
             PointSize[Large], 
             
             Point[{$CellContext`x1$$, -$CellContext`x2$$, \
$CellContext`x3$$}]}, Null, 
            Text[
             Style[
              StringJoin[{"Q(", 
                ToString[$CellContext`x1$$], ",", 
                ToString[-$CellContext`x2$$], ",", 
                ToString[$CellContext`x3$$], ")"}], Large, 
              Red], {$CellContext`x1$$, -$CellContext`x2$$, \
$CellContext`x3$$} + {0.5, 0.5, 0.5}], 
            Text[
             
             Style[$CellContext`x1$$, Large], {$CellContext`x1$$, 0, 0} + {
              0, 0.2, 0.2}], 
            Text[
             
             Style[-$CellContext`x2$$, Large], {0, -$CellContext`x2$$, 0} + {
              0.2, 0, 0.2}], 
            Text[
             
             Style[$CellContext`x3$$, Large], {0, 0, $CellContext`x3$$} + {
              0.2, 0.2, 0}]}]}], 
        Graphics3D[
         If[$CellContext`zx$$ == 1, {Red, 
           
           Line[{{$CellContext`x1$$, -$CellContext`x2$$, $CellContext`x3$$}, \
{$CellContext`x1$$, -$CellContext`x2$$, 0}}], 
           
           Line[{{$CellContext`x1$$, -$CellContext`x2$$, $CellContext`x3$$}, \
{$CellContext`x1$$, 0, $CellContext`x3$$}}], 
           
           Line[{{$CellContext`x1$$, -$CellContext`x2$$, $CellContext`x3$$}, {
             0, -$CellContext`x2$$, $CellContext`x3$$}}], 
           
           Line[{{0, -$CellContext`x2$$, 
              0}, {$CellContext`x1$$, -$CellContext`x2$$, 
              0}, {$CellContext`x1$$, 0, 0}, {$CellContext`x1$$, 
              0, $CellContext`x3$$}, {0, 0, $CellContext`x3$$}, {
             0, -$CellContext`x2$$, $CellContext`x3$$}, {
             0, -$CellContext`x2$$, 0}}]}]], 
        Graphics3D[{
          If[$CellContext`x$$ == 1, 
           Text[
            Style[
            "x\:8ef8\:306b\:95a2\:3057\:3066\:5bfe\:79f0\:306a\:70b9", 
             Large], {0, 0, -7}]], 
          If[$CellContext`x$$ == 2, 
           Text[
            Style[
            "y\:8ef8\:306b\:95a2\:3057\:3066\:5bfe\:79f0\:306a\:70b9", 
             Large], {0, 0, -7}]], 
          If[$CellContext`x$$ == 3, 
           Text[
            Style[
            "z\:8ef8\:306b\:95a2\:3057\:3066\:5bfe\:79f0\:306a\:70b9", 
             Large], {0, 0, -7}]], 
          If[$CellContext`x$$ == 4, 
           Text[
            Style[
            "\:539f\:70b9\:306b\:95a2\:3057\:3066\:5bfe\:79f0\:306a\:70b9", 
             Large], {0, 0, -7}]], 
          If[$CellContext`xy$$ == 1, 
           Text[
            Style[
            "xy\:5e73\:9762\:306b\:95a2\:3057\:3066\:5bfe\:79f0\:306a\:70b9", 
             Large], {0, 0, -7}]], 
          If[$CellContext`yz$$ == 1, 
           Text[
            Style[
            "yz\:5e73\:9762\:306b\:95a2\:3057\:3066\:5bfe\:79f0\:306a\:70b9", 
             Large], {0, 0, -7}]], 
          If[$CellContext`zx$$ == 1, 
           Text[
            Style[
            "zx\:5e73\:9762\:306b\:95a2\:3057\:3066\:5bfe\:79f0\:306a\:70b9", 
             Large], {0, 0, -7}]]}], PlotRange -> {{-5, 6}, {-5, 6}, {-7, 6}},
         BoxRatios -> Automatic, Boxed -> False, Axes -> False, ImageSize -> 
        Large], "Specifications" :> {{{$CellContext`x1$$, 1, 
          "(\!\(\*\nStyleBox[\"x1\",\n\
FontVariations->{\"Underline\"->True}]\), x2, x3)"}, {-1, 0, 1, 2, 3, 4, 
         5}}, {{$CellContext`x2$$, 2, 
          "(x1, \!\(\*\nStyleBox[\"x2\",\n\
FontVariations->{\"Underline\"->True}]\), x3)"}, {-1, 0, 1, 2, 3, 4, 
         5}}, {{$CellContext`x3$$, 3, 
          "(x1, x2, \!\(\*\nStyleBox[\"x3\",\n\
FontVariations->{\"Underline\"->True}]\))"}, {-1, 0, 1, 2, 3, 4, 
         5}}, {{$CellContext`x$$, 0, 
          "1:x\:8ef8 2:y\:8ef8 3:z\:8ef8 4:\:539f\:70b9\:306b\:95a2\:3057\
\:3066\:5bfe\:79f0"}, {0, 1, 2, 3, 
         4}}, {{$CellContext`xy$$, 0, 
          "xy\:5e73\:9762\:306b\:95a2\:3057\:3066\:5bfe\:79f0"}, {0, 
         1}}, {{$CellContext`yz$$, 0, 
          "yz\:5e73\:9762\:306b\:95a2\:3057\:3066\:5bfe\:79f0"}, {0, 
         1}}, {{$CellContext`zx$$, 0, 
          "zx\:5e73\:9762\:306b\:95a2\:3057\:3066\:5bfe\:79f0"}, {0, 1}}}, 
      "Options" :> {FrameMargins -> 0, ControlPlacement -> Left}, 
      "DefaultOptions" :> {}],
     ImageSizeCache->{879., {338., 345.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellChangeTimes->{
  3.629770901331704*^9, {3.629770966476469*^9, 3.629770987629798*^9}, 
   3.629978058072452*^9}]
}, {2}]]
}, Open  ]],

Cell[CellGroupData[{

Cell["\:5ea7\:6a19\:5e73\:9762\:306b\:5e73\:884c\:306a\:5e73\:9762", "Section",
 CellChangeTimes->{{3.6297700294588823`*^9, 3.629770036385193*^9}, {
  3.629771071057528*^9, 3.629771077219449*^9}, {3.629771674348593*^9, 
  3.629771689199603*^9}},
 Background->RGBColor[1, 0.9, 0.8]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
  "\[IndentingNewLine]", 
  RowBox[{"Manipulate", "[", 
   RowBox[{
    RowBox[{"Show", "[", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"Graphics3D", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Arrowheads", "\[Rule]", "Large"}], ",", 
         RowBox[{"Thickness", "[", "0.009", "]"}], ",", "\[IndentingNewLine]",
          "                 ", 
         RowBox[{"{", 
          RowBox[{"Blue", ",", 
           RowBox[{"Arrow", "[", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"0", ",", "0", ",", 
                RowBox[{"-", "5"}]}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"0", ",", "0", ",", "5"}], "}"}]}], "}"}], "]"}], ",", 
           RowBox[{"Arrow", "[", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"0", ",", 
                RowBox[{"-", "5"}], ",", "0"}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"0", ",", "5", ",", "0"}], "}"}]}], "}"}], "]"}], ",", 
           RowBox[{"Arrow", "[", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{
                RowBox[{"-", "5"}], ",", "0", ",", "0"}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"5", ",", "0", ",", "0"}], "}"}]}], "}"}], "]"}]}], 
          "}"}], ",", "\[IndentingNewLine]", 
         RowBox[{"Text", "[", 
          RowBox[{
           RowBox[{"Style", "[", 
            RowBox[{"\"\<x\>\"", ",", "Large"}], "]"}], ",", 
           RowBox[{"{", 
            RowBox[{"5.5", ",", "0", ",", "0"}], "}"}]}], "]"}], ",", 
         RowBox[{"Text", "[", 
          RowBox[{
           RowBox[{"Style", "[", 
            RowBox[{"\"\<y\>\"", ",", "Large"}], "]"}], ",", 
           RowBox[{"{", 
            RowBox[{"0", ",", "5.5", ",", "0"}], "}"}]}], "]"}], ",", 
         RowBox[{"Text", "[", 
          RowBox[{
           RowBox[{"Style", "[", 
            RowBox[{"\"\<z\>\"", ",", "Large"}], "]"}], ",", 
           RowBox[{"{", 
            RowBox[{"0", ",", "0", ",", "5.5"}], "}"}]}], "]"}], ",", 
         RowBox[{"Text", "[", 
          RowBox[{
           RowBox[{"Style", "[", 
            RowBox[{"\"\<O\>\"", ",", "Large"}], "]"}], ",", 
           RowBox[{"{", 
            RowBox[{"0.3", ",", "0.3", ",", "0.3"}], "}"}]}], "]"}]}], "}"}], 
       "\[IndentingNewLine]", "]"}], ",", "\[IndentingNewLine]", 
      "\[IndentingNewLine]", 
      RowBox[{"Graphics3D", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Thickness", "[", "0.009", "]"}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"PointSize", "[", "Large", "]"}], ",", 
           RowBox[{"Point", "[", 
            RowBox[{"{", 
             RowBox[{"x1", ",", "x2", ",", "x3"}], "}"}], "]"}]}], "}"}], 
         "   ", "\[IndentingNewLine]", ",", 
         RowBox[{"Text", "[", 
          RowBox[{
           RowBox[{"Style", "[", 
            RowBox[{
             RowBox[{"StringJoin", "[", 
              RowBox[{"{", 
               RowBox[{"\"\<P(\>\"", " ", ",", 
                RowBox[{"ToString", "[", "x1", "]"}], ",", "\"\<,\>\"", ",", 
                RowBox[{"ToString", "[", "x2", "]"}], ",", "\"\<,\>\"", ",", 
                RowBox[{"ToString", "[", "x3", "]"}], ",", "\"\<)\>\""}], 
               "}"}], "]"}], ",", "Large"}], "]"}], ",", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"x1", ",", "x2", ",", "x3"}], "}"}], "+", 
            RowBox[{"{", 
             RowBox[{"0.5", ",", "0.5", ",", "0.5"}], "}"}]}]}], "]"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"Text", "[", 
          RowBox[{
           RowBox[{"Style", "[", 
            RowBox[{"x1", ",", "Large"}], "]"}], ",", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"x1", ",", "0", ",", "0"}], "}"}], "+", 
            RowBox[{"{", 
             RowBox[{"0", ",", "0.2", ",", "0.2"}], "}"}]}]}], "]"}], ",", 
         RowBox[{"Text", "[", 
          RowBox[{
           RowBox[{"Style", "[", 
            RowBox[{"x2", ",", "Large"}], "]"}], ",", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"0", ",", "x2", ",", "0"}], "}"}], "+", 
            RowBox[{"{", 
             RowBox[{"0.2", ",", "0", ",", "0.2"}], "}"}]}]}], "]"}], ",", 
         RowBox[{"Text", "[", 
          RowBox[{
           RowBox[{"Style", "[", 
            RowBox[{"x3", ",", "Large"}], "]"}], ",", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"0", ",", "0", ",", "x3"}], "}"}], "+", 
            RowBox[{"{", 
             RowBox[{"0.2", ",", "0.2", ",", "0"}], "}"}]}]}], "]"}]}], "}"}],
        "]"}], ",", "\[IndentingNewLine]", 
      RowBox[{"Graphics3D", "[", 
       RowBox[{"{", 
        RowBox[{"Red", ",", 
         RowBox[{"Line", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"x1", ",", "x2", ",", "x3"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"x1", ",", "x2", ",", "0"}], "}"}]}], "}"}], "]"}], ",", 
         RowBox[{"Line", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"x1", ",", "x2", ",", "x3"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"x1", ",", "0", ",", "x3"}], "}"}]}], "}"}], "]"}], ",", 
         RowBox[{"Line", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"x1", ",", "x2", ",", "x3"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"0", ",", "x2", ",", "x3"}], "}"}]}], "}"}], "]"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"Line", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"0", ",", "x2", ",", "0"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"x1", ",", "x2", ",", "0"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"x1", ",", "0", ",", "0"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"x1", ",", "0", ",", "x3"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"0", ",", "0", ",", "x3"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"0", ",", "x2", ",", "x3"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"0", ",", "x2", ",", "0"}], "}"}]}], "}"}], "]"}]}], 
        "}"}], "]"}], ",", "\[IndentingNewLine]", "\[IndentingNewLine]", 
      "\[IndentingNewLine]", 
      RowBox[{"ParametricPlot3D", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"x", ",", "x2", ",", "z"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"x", ",", 
          RowBox[{"-", "5"}], ",", "5"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"z", ",", 
          RowBox[{"-", "5"}], ",", "5"}], "}"}], ",", 
        RowBox[{"PlotStyle", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{"Yellow", ",", 
           RowBox[{"Opacity", "[", 
            RowBox[{"0.3", "*", "zx"}], "]"}]}], "}"}]}], ",", 
        RowBox[{"Mesh", "\[Rule]", "None"}]}], "]"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"ParametricPlot3D", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"x1", ",", "y", ",", "z"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"y", ",", 
          RowBox[{"-", "5"}], ",", "5"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"z", ",", 
          RowBox[{"-", "5"}], ",", "5"}], "}"}], ",", 
        RowBox[{"PlotStyle", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{"Yellow", ",", 
           RowBox[{"Opacity", "[", 
            RowBox[{"0.3", "*", "yz"}], "]"}]}], "}"}]}], ",", 
        RowBox[{"Mesh", "\[Rule]", "None"}]}], "]"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"ParametricPlot3D", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"x", ",", "y", ",", "x3"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"x", ",", 
          RowBox[{"-", "5"}], ",", "5"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"y", ",", 
          RowBox[{"-", "5"}], ",", "5"}], "}"}], ",", 
        RowBox[{"PlotStyle", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{"Yellow", ",", 
           RowBox[{"Opacity", "[", 
            RowBox[{"0.3", "*", "xy"}], "]"}]}], "}"}]}], ",", 
        RowBox[{"Mesh", "\[Rule]", "None"}]}], "]"}], ",", 
      "\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
      RowBox[{"Graphics3D", "[", 
       RowBox[{"{", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{"xy", "\[Equal]", "1"}], ",", 
           RowBox[{"Text", "[", 
            RowBox[{
             RowBox[{"Style", "[", 
              RowBox[{
               RowBox[{"StringJoin", "[", 
                RowBox[{
                "\"\<xy\:5e73\:9762\:306b\:5e73\:884c\:306a\:5e73\:9762  z=\>\
\"", ",", 
                 RowBox[{"ToString", "[", "x3", "]"}]}], "]"}], ",", 
               "Large"}], "]"}], ",", 
             RowBox[{"{", 
              RowBox[{"0", ",", "0", ",", 
               RowBox[{"-", "7"}]}], "}"}]}], "]"}]}], "]"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{"yz", "\[Equal]", "1"}], ",", 
           RowBox[{"Text", "[", 
            RowBox[{
             RowBox[{"Style", "[", 
              RowBox[{
               RowBox[{"StringJoin", "[", 
                RowBox[{
                "\"\<yz\:5e73\:9762\:306b\:5e73\:884c\:306a\:5e73\:9762  x=\>\
\"", ",", 
                 RowBox[{"ToString", "[", "x1", "]"}]}], "]"}], ",", 
               "Large"}], "]"}], ",", 
             RowBox[{"{", 
              RowBox[{"0", ",", "0", ",", 
               RowBox[{"-", "7"}]}], "}"}]}], "]"}]}], "]"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{"zx", "\[Equal]", "1"}], ",", 
           RowBox[{"Text", "[", 
            RowBox[{
             RowBox[{"Style", "[", 
              RowBox[{
               RowBox[{"StringJoin", "[", 
                RowBox[{
                "\"\<xz\:5e73\:9762\:306b\:5e73\:884c\:306a\:5e73\:9762  y=\>\
\"", ",", 
                 RowBox[{"ToString", "[", "x2", "]"}]}], "]"}], ",", 
               "Large"}], "]"}], ",", 
             RowBox[{"{", 
              RowBox[{"0", ",", "0", ",", 
               RowBox[{"-", "7"}]}], "}"}]}], "]"}]}], "]"}], ","}], 
        "\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
        "}"}], "]"}], ",", "\[IndentingNewLine]", "\[IndentingNewLine]", 
      "\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
      RowBox[{"PlotRange", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"-", "5"}], ",", "6"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"-", "5"}], ",", "6"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"-", "7"}], ",", "6"}], "}"}]}], "}"}]}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"BoxRatios", "\[Rule]", "Automatic"}], ",", 
      RowBox[{"Boxed", "->", "False"}], ",", 
      RowBox[{"Axes", "\[Rule]", "False"}], ",", 
      RowBox[{"ImageSize", "\[Rule]", "Large"}]}], "\[IndentingNewLine]", 
     "]"}], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"x1", ",", "1", ",", "\"\<(\!\(\*
StyleBox[\"x1\",
FontVariations->{\"Underline\"->True}]\), x2, x3)\>\""}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"-", "1"}], ",", "0", ",", "1", ",", "2", ",", "3", ",", "4", 
        ",", "5"}], "}"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"x2", ",", "2", ",", "\"\<(x1, \!\(\*
StyleBox[\"x2\",
FontVariations->{\"Underline\"->True}]\), x3)\>\""}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"-", "1"}], ",", "0", ",", "1", ",", "2", ",", "3", ",", "4", 
        ",", "5"}], "}"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"x3", ",", "3", ",", "\"\<(x1, x2, \!\(\*
StyleBox[\"x3\",
FontVariations->{\"Underline\"->True}]\))\>\""}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"-", "1"}], ",", "0", ",", "1", ",", "2", ",", "3", ",", "4", 
        ",", "5"}], "}"}]}], "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
       "xy", ",", "0", ",", "\"\<xy\:5e73\:9762\:306b\:5e73\:884c\>\"", ",", 
        RowBox[{"ToString", "[", "x3", "]"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"0", ",", "1"}], "}"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
       "yz", ",", "0", ",", "\"\<yz\:5e73\:9762\:306b\:5e73\:884c\>\""}], 
       "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"0", ",", "1"}], "}"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
       "zx", ",", "0", ",", "\"\<zx\:5e73\:9762\:306b\:5e73\:884c\>\""}], 
       "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"0", ",", "1"}], "}"}]}], "}"}], ",", 
    RowBox[{"FrameMargins", "\[Rule]", "0"}], ",", 
    RowBox[{"ControlPlacement", "\[Rule]", "Left"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.629670270926195*^9, 3.629670282984841*^9}, {
   3.6296703583638754`*^9, 3.6296704891369987`*^9}, {3.6296705842333794`*^9, 
   3.62967062395047*^9}, {3.6296719957738667`*^9, 3.629672089605461*^9}, {
   3.629672172064946*^9, 3.62967234932366*^9}, {3.629672383471403*^9, 
   3.629672388244911*^9}, 3.6296724271817627`*^9, {3.629672473856065*^9, 
   3.6296725684058466`*^9}, {3.6296725995117874`*^9, 3.629672679741559*^9}, {
   3.6296727282101374`*^9, 3.629672821465742*^9}, {3.629673005122187*^9, 
   3.6296730237015495`*^9}, {3.629673075165289*^9, 3.6296730775520587`*^9}, {
   3.629673146549974*^9, 3.6296732640476675`*^9}, {3.6296734076438265`*^9, 
   3.6296734866193805`*^9}, {3.6296736927963877`*^9, 
   3.6296737641294127`*^9}, {3.629673799383605*^9, 3.6296738194285765`*^9}, {
   3.6296738592845325`*^9, 3.629673943442217*^9}, {3.629673973829458*^9, 
   3.629674015042545*^9}, {3.6296746909304714`*^9, 3.6296747869160414`*^9}, {
   3.6296748933534765`*^9, 3.6296750526118345`*^9}, {3.6296751005344205`*^9, 
   3.629675113763051*^9}, {3.6296751461638355`*^9, 3.629675391174294*^9}, {
   3.6296754254782543`*^9, 3.62967552991506*^9}, {3.629675620354004*^9, 
   3.629675764591484*^9}, {3.6297592128363867`*^9, 3.62975931242551*^9}, {
   3.6297593443115015`*^9, 3.629759438144298*^9}, {3.629759469577895*^9, 
   3.6297595419297676`*^9}, {3.629759580242876*^9, 3.6297599456525917`*^9}, {
   3.6297600354918394`*^9, 3.629760036396628*^9}, {3.6297601777228165`*^9, 
   3.62976023594127*^9}, {3.629760362939242*^9, 3.6297603946848345`*^9}, {
   3.629760425556839*^9, 3.629760508532175*^9}, {3.6297674241518836`*^9, 
   3.6297674277866373`*^9}, {3.6297674634945793`*^9, 3.62976764672983*^9}, {
   3.6297677408746233`*^9, 3.629767813351294*^9}, 3.6297678770296774`*^9, {
   3.6297679106628466`*^9, 3.62976791740196*^9}, {3.6297680021088743`*^9, 
   3.6297680838830256`*^9}, {3.629768114115438*^9, 3.629768304666995*^9}, {
   3.629768366364204*^9, 3.629768467684905*^9}, {3.629768503486446*^9, 
   3.6297685985204277`*^9}, {3.6297687215560503`*^9, 
   3.6297687890719843`*^9}, {3.629768850722394*^9, 3.6297689276762075`*^9}, {
   3.62976896101298*^9, 3.629769003772032*^9}, {3.629769055703766*^9, 
   3.6297690578565383`*^9}, {3.629769105623126*^9, 3.6297691274940453`*^9}, {
   3.629769207131025*^9, 3.629769331211834*^9}, {3.6297693683081584`*^9, 
   3.6297696721142635`*^9}, {3.629769777444113*^9, 3.6297698088309107`*^9}, {
   3.6297701410130515`*^9, 3.629770145739791*^9}, {3.6297701921959953`*^9, 
   3.6297702406957736`*^9}, {3.6297702963246603`*^9, 
   3.6297703053725443`*^9}, {3.6297703407840905`*^9, 3.629770654121673*^9}, {
   3.6297706844788837`*^9, 3.6297707968598433`*^9}, {3.6297708502891583`*^9, 
   3.62977088446832*^9}, {3.6297709839794445`*^9, 3.629770987130604*^9}, {
   3.6297711192921095`*^9, 3.629771150990903*^9}, {3.629771186979642*^9, 
   3.6297712811868343`*^9}, {3.629771339015292*^9, 3.6297713453176117`*^9}, {
   3.629771377515599*^9, 3.629771421975029*^9}, {3.6297714627997055`*^9, 
   3.629771500286025*^9}, 3.62977153736675*^9, {3.629771571967106*^9, 
   3.629771636924673*^9}}],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`x1$$ = 1, $CellContext`x2$$ = 
    2, $CellContext`x3$$ = 3, $CellContext`xy$$ = 1, $CellContext`yz$$ = 
    0, $CellContext`zx$$ = 0, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"\:540d\:79f0\:672a\:5b9a\:7fa9\"", Typeset`specs$$ = {{{
       Hold[$CellContext`x1$$], 1, 
       "(\!\(\*\nStyleBox[\"x1\",\nFontVariations->{\"Underline\"->True}]\), \
x2, x3)"}, {-1, 0, 1, 2, 3, 4, 5}}, {{
       Hold[$CellContext`x2$$], 2, 
       "(x1, \!\(\*\nStyleBox[\"x2\",\nFontVariations->{\"Underline\"->True}]\
\), x3)"}, {-1, 0, 1, 2, 3, 4, 5}}, {{
       Hold[$CellContext`x3$$], 3, 
       "(x1, x2, \!\(\*\nStyleBox[\"x3\",\n\
FontVariations->{\"Underline\"->True}]\))"}, {-1, 0, 1, 2, 3, 4, 5}}, {{
       Hold[$CellContext`xy$$], 0, "xy\:5e73\:9762\:306b\:5e73\:884c", 
       "x3"}, {0, 1}}, {{
       Hold[$CellContext`yz$$], 0, "yz\:5e73\:9762\:306b\:5e73\:884c"}, {0, 
      1}}, {{
       Hold[$CellContext`zx$$], 0, "zx\:5e73\:9762\:306b\:5e73\:884c"}, {0, 
      1}}}, Typeset`size$$ = {576., {309., 313.}}, Typeset`update$$ = 0, 
    Typeset`initDone$$, Typeset`skipInitDone$$ = 
    True, $CellContext`x1$78435$$ = 0, $CellContext`x2$78436$$ = 
    0, $CellContext`x3$78437$$ = 0, $CellContext`xy$78438$$ = 
    False, $CellContext`yz$78439$$ = False, $CellContext`zx$78440$$ = False}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`x1$$ = 1, $CellContext`x2$$ = 
        2, $CellContext`x3$$ = 3, $CellContext`xy$$ = 0, $CellContext`yz$$ = 
        0, $CellContext`zx$$ = 0}, "ControllerVariables" :> {
        Hold[$CellContext`x1$$, $CellContext`x1$78435$$, 0], 
        Hold[$CellContext`x2$$, $CellContext`x2$78436$$, 0], 
        Hold[$CellContext`x3$$, $CellContext`x3$78437$$, 0], 
        Hold[$CellContext`xy$$, $CellContext`xy$78438$$, False], 
        Hold[$CellContext`yz$$, $CellContext`yz$78439$$, False], 
        Hold[$CellContext`zx$$, $CellContext`zx$78440$$, False]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> Show[
        Graphics3D[{Arrowheads -> Large, 
          Thickness[0.009], {Blue, 
           Arrow[{{0, 0, -5}, {0, 0, 5}}], 
           Arrow[{{0, -5, 0}, {0, 5, 0}}], 
           Arrow[{{-5, 0, 0}, {5, 0, 0}}]}, 
          Text[
           Style["x", Large], {5.5, 0, 0}], 
          Text[
           Style["y", Large], {0, 5.5, 0}], 
          Text[
           Style["z", Large], {0, 0, 5.5}], 
          Text[
           Style["O", Large], {0.3, 0.3, 0.3}]}], 
        Graphics3D[{
          Thickness[0.009], {
           PointSize[Large], 
           Point[{$CellContext`x1$$, $CellContext`x2$$, $CellContext`x3$$}]}, 
          Text[
           Style[
            StringJoin[{"P(", 
              ToString[$CellContext`x1$$], ",", 
              ToString[$CellContext`x2$$], ",", 
              ToString[$CellContext`x3$$], ")"}], 
            Large], {$CellContext`x1$$, $CellContext`x2$$, $CellContext`x3$$} + \
{0.5, 0.5, 0.5}], 
          Text[
           
           Style[$CellContext`x1$$, Large], {$CellContext`x1$$, 0, 0} + {
            0, 0.2, 0.2}], 
          Text[
           
           Style[$CellContext`x2$$, Large], {0, $CellContext`x2$$, 0} + {
            0.2, 0, 0.2}], 
          Text[
           
           Style[$CellContext`x3$$, Large], {0, 0, $CellContext`x3$$} + {
            0.2, 0.2, 0}]}], 
        Graphics3D[{Red, 
          
          Line[{{$CellContext`x1$$, $CellContext`x2$$, $CellContext`x3$$}, \
{$CellContext`x1$$, $CellContext`x2$$, 0}}], 
          
          Line[{{$CellContext`x1$$, $CellContext`x2$$, $CellContext`x3$$}, \
{$CellContext`x1$$, 0, $CellContext`x3$$}}], 
          
          Line[{{$CellContext`x1$$, $CellContext`x2$$, $CellContext`x3$$}, {
            0, $CellContext`x2$$, $CellContext`x3$$}}], 
          
          Line[{{0, $CellContext`x2$$, 
             0}, {$CellContext`x1$$, $CellContext`x2$$, 
             0}, {$CellContext`x1$$, 0, 0}, {$CellContext`x1$$, 
             0, $CellContext`x3$$}, {0, 0, $CellContext`x3$$}, {
            0, $CellContext`x2$$, $CellContext`x3$$}, {
            0, $CellContext`x2$$, 0}}]}], 
        ParametricPlot3D[{$CellContext`x, $CellContext`x2$$, $CellContext`z}, \
{$CellContext`x, -5, 5}, {$CellContext`z, -5, 5}, PlotStyle -> {Yellow, 
           Opacity[0.3 $CellContext`zx$$]}, Mesh -> None], 
        ParametricPlot3D[{$CellContext`x1$$, $CellContext`y, $CellContext`z}, \
{$CellContext`y, -5, 5}, {$CellContext`z, -5, 5}, PlotStyle -> {Yellow, 
           Opacity[0.3 $CellContext`yz$$]}, Mesh -> None], 
        ParametricPlot3D[{$CellContext`x, $CellContext`y, $CellContext`x3$$}, \
{$CellContext`x, -5, 5}, {$CellContext`y, -5, 5}, PlotStyle -> {Yellow, 
           Opacity[0.3 $CellContext`xy$$]}, Mesh -> None], 
        Graphics3D[{
          If[$CellContext`xy$$ == 1, 
           Text[
            Style[
             StringJoin[
             "xy\:5e73\:9762\:306b\:5e73\:884c\:306a\:5e73\:9762  z=", 
              ToString[$CellContext`x3$$]], Large], {0, 0, -7}]], 
          If[$CellContext`yz$$ == 1, 
           Text[
            Style[
             StringJoin[
             "yz\:5e73\:9762\:306b\:5e73\:884c\:306a\:5e73\:9762  x=", 
              ToString[$CellContext`x1$$]], Large], {0, 0, -7}]], 
          If[$CellContext`zx$$ == 1, 
           Text[
            Style[
             StringJoin[
             "xz\:5e73\:9762\:306b\:5e73\:884c\:306a\:5e73\:9762  y=", 
              ToString[$CellContext`x2$$]], Large], {0, 0, -7}]], Null}], 
        PlotRange -> {{-5, 6}, {-5, 6}, {-7, 6}}, BoxRatios -> Automatic, 
        Boxed -> False, Axes -> False, ImageSize -> Large], 
      "Specifications" :> {{{$CellContext`x1$$, 1, 
          "(\!\(\*\nStyleBox[\"x1\",\n\
FontVariations->{\"Underline\"->True}]\), x2, x3)"}, {-1, 0, 1, 2, 3, 4, 
         5}}, {{$CellContext`x2$$, 2, 
          "(x1, \!\(\*\nStyleBox[\"x2\",\n\
FontVariations->{\"Underline\"->True}]\), x3)"}, {-1, 0, 1, 2, 3, 4, 
         5}}, {{$CellContext`x3$$, 3, 
          "(x1, x2, \!\(\*\nStyleBox[\"x3\",\n\
FontVariations->{\"Underline\"->True}]\))"}, {-1, 0, 1, 2, 3, 4, 
         5}}, {{$CellContext`xy$$, 0, "xy\:5e73\:9762\:306b\:5e73\:884c", 
          "x3"}, {0, 
         1}}, {{$CellContext`yz$$, 0, "yz\:5e73\:9762\:306b\:5e73\:884c"}, {0,
          1}}, {{$CellContext`zx$$, 0, "zx\:5e73\:9762\:306b\:5e73\:884c"}, {
         0, 1}}}, "Options" :> {FrameMargins -> 0, ControlPlacement -> Left}, 
      "DefaultOptions" :> {}],
     ImageSizeCache->{731., {329., 336.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellChangeTimes->{
  3.6297711519268913`*^9, {3.6297711947951417`*^9, 3.62977120426422*^9}, 
   3.629771283246008*^9, 3.6297715022515993`*^9, 3.6297715379751415`*^9, 
   3.6297716380634584`*^9}]
}, {2}]],

Cell[BoxData[""], "Input",
 CellChangeTimes->{3.6296703543703265`*^9}]
}, Open  ]]
},
WindowSize->{1350, 685},
WindowMargins->{{-8, Automatic}, {Automatic, 0}},
FrontEndVersion->"10.0 for Microsoft Windows (64-bit) (2014\:5e747\:67089\
\:65e5)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[580, 22, 150, 2, 59, "Subsection"],
Cell[CellGroupData[{
Cell[755, 28, 55317, 1366, 1792, "Input"],
Cell[56075, 1396, 21233, 500, 700, "Output"]
}, {2}]]
}, Open  ]],
Cell[CellGroupData[{
Cell[77354, 1902, 281, 4, 67, "Section"],
Cell[CellGroupData[{
Cell[77660, 1910, 16488, 389, 772, "Input"],
Cell[94151, 2301, 7448, 156, 682, "Output"]
}, {2}]],
Cell[101611, 2460, 70, 1, 31, "Input"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
